Debian Bug report logs - #675971
Cannot communicate with the vast majority of Mumble servers due to lack of required baseline codec

version graph

Package: mumble; Maintainer for mumble is Christopher Knadle <Chris.Knadle@coredump.us>; Source for mumble is src:mumble.

Reported by: Nicos Gollan <gtdev@spearhead.de>

Date: Mon, 4 Jun 2012 17:03:02 UTC

Severity: grave

Tags: patch

Found in versions mumble/1.2.3-349-g315b5f5-1, mumble/1.2.3-349-g315b5f5-2

Fixed in version mumble/1.2.3-349-g315b5f5-2.1

Done: Christopher Knadle <chris.knadle@coredump.us>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 04 Jun 2012 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. (Mon, 04 Jun 2012 17:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mumble: Version 1.2.3-349 breaks audio and server communication
Date: Mon, 04 Jun 2012 18:53:15 +0200
Package: mumble
Version: 1.2.3-349-g315b5f5-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

   * What led up to the situation?
   The maintainer patch which disables CELT

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   Update the package to the most recent version

   * What was the outcome of this action?
   Audio is completely broken since the maintainer-patched client uses an incomplete integration of a widely unsupported audio codec (OPUS) and completely disables codecs required to communicate with any other released version of the software.

   * What outcome did you expect instead?
   A usable VoIP tool.

With disabled CELT, mumble produces horrible audio glitches which are a known issue with the current OPUS integration. Furthermore, it means Debian mumble clients can no longer sanely communicate with any officially released version. In the worst case, it will even break things for other users on a server since it shows very incomplete codec support.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (500, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.4 (SMP w/6 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mumble depends on:
ii  gconf2                     3.2.5-1
ii  libasound2                 1.0.25-3
ii  libavahi-client3           0.6.31-1
ii  libavahi-common3           0.6.31-1
ii  libavahi-compat-libdnssd1  0.6.31-1
ii  libc6                      2.13-33
ii  libg15daemon-client1       1.9.5.3-8.2
ii  libgcc1                    1:4.7.0-11
ii  libopus0                   0.9.14+20120521-2
ii  libprotobuf7               2.4.1-2
ii  libpulse0                  2.0-3
ii  libqt4-dbus                4:4.8.1-2
ii  libqt4-network             4:4.8.1-2
ii  libqt4-sql                 4:4.8.1-2
ii  libqt4-sql-sqlite          4:4.8.1-2
ii  libqt4-svg                 4:4.8.1-2
ii  libqt4-xml                 4:4.8.1-2
ii  libqtcore4                 4:4.8.1-2
ii  libqtgui4                  4:4.8.1-2
ii  libsndfile1                1.0.25-4
ii  libspeechd2                0.7.1-6.1
ii  libspeex1                  1.2~rc1-6
ii  libspeexdsp1               1.2~rc1-6
ii  libssl1.0.0                1.0.1c-1
ii  libstdc++6                 4.7.0-11
ii  libx11-6                   2:1.4.99.901-2
ii  libxi6                     2:1.6.1-1
ii  lsb-release                4.1+Debian6

Versions of packages mumble recommends:
ii  speech-dispatcher  0.7.1-6.1

Versions of packages mumble suggests:
ii  mumble-server  1.2.3-349-g315b5f5-1

-- no debconf information




Severity set to 'wishlist' from 'grave' Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 19:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 05 Jun 2012 07:54:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 05 Jun 2012 07:54:29 GMT) Full text and rfc822 format available.

Message #12 received at 675971@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: 675971@bugs.debian.org
Subject: Seriously, wishlist?
Date: Tue, 5 Jun 2012 09:34:24 +0200
Let's recap.

You've decided to ship a *fundamentally broken* version of the package. It is 
simply *not possible* to talk to the vast majority of the userbase, and it 
will remain that way for the foreseeable future.

You are doing that out of the abstract fear that the CELT library *may* have 
some vulnerability, yet, even though it has been used for quite some time now, 
none are known.

You are not putting in place any notification that this will happen, making 
users believe they'd get a functional package.

So effectively, you are misleading users and damaging the reputation of the 
mumble project out of some vague unfounded fear that something bad may be 
going on somewhere, and you make a wishlist item out of the situation so the 
whole broken mess will trickle down into testing and eventually stable where 
it will cause massive headaches.

This is OpenSSH all over again!

As we discussed on IRC, you should, IMO, either remove the client package from 
the official repositories since it is completely useless as it is, or rebrand 
it properly and put some warnings in place that the client is useless and 
people need to compile it themselves or get it from somewhere else.




Severity set to 'grave' from 'wishlist' Request was from Nicos Gollan <gtdev@spearhead.de> to control@bugs.debian.org. (Tue, 05 Jun 2012 11:30:18 GMT) Full text and rfc822 format available.

Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Tue, 05 Jun 2012 12:27:44 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Tue, 05 Jun 2012 12:27:46 GMT) Full text and rfc822 format available.

Message #19 received at 675971-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971-done@bugs.debian.org
Subject: Re: Bug#675971: mumble: Version 1.2.3-349 breaks audio and server communication
Date: Tue, 5 Jun 2012 21:27:53 +0930
The problem, and possible solutions, have been patiently explained to you.
If you aren't capable of helping, please stay out from under the feet of
the people who are.  Wasting our time foaming about how you don't care
and we should just ignore it isn't helping anyone.

If you have real bug reports and patches for the Opus support, then
I'm sure the upstream developers will be very interested in that.

Hissy fits are not bug reports.






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 05 Jun 2012 12:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 05 Jun 2012 12:33:14 GMT) Full text and rfc822 format available.

Message #24 received at 675971@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: 675971@bugs.debian.org
Subject: To quote the maintainer...
Date: Tue, 5 Jun 2012 14:10:09 +0200
Straight from the maintainer:

(#mumble on Freenode, 2012-06-05, times are CEST)

[13:55:50] -*- ron_ hands DireFog CVE-2012-1667.  software that people are 
using never has bugs like that right ...
[13:56:37] <ron_> if you won't (or as I rather have come to suspect simply 
can't) help, then please try to sob quietly in the corner while the big boys 
do what they can to fix things
[13:57:08] <ron_> if OTOH you'd rather end up in the magic BTS array 
gFuckheads - then you know what to do.
[13:57:18] <ron_> I'll presume you can guess what that does
[13:57:31] <DireFog> if you're deleting stuff from potential bugs, you can 
start with the kernel.
[13:57:43] <DireFog> s/from/for/;
[13:58:45] <ron_> you think we don't remove broken crap from the kernel?  lol
[13:58:59] <DireFog> I'm not discussing this with you any further, but will 
look at routes for escalation if I feel so.
[13:59:36] <ron_> one of these days alice.  bang zoom, straight to the moon!

I will now stop caring about this issue, since the maintainer is not helpful 
and, in my opinion, unfit for the job.




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 05 Jun 2012 12:46:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 05 Jun 2012 12:46:49 GMT) Full text and rfc822 format available.

Message #29 received at 675971@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: 675971@bugs.debian.org
Subject: Re: Bug#675971: mumble: Version 1.2.3-349 breaks audio and server communication
Date: Tue, 5 Jun 2012 14:44:32 +0200
On Tuesday 05 June 2012 13:57:53 Ron wrote:
> The problem, and possible solutions, have been patiently explained to you.
> If you aren't capable of helping, please stay out from under the feet of
> the people who are.  Wasting our time foaming about how you don't care
> and we should just ignore it isn't helping anyone.
> 
> [blah blah send patches blah, BTW, I did; ed.]
> 
> Hissy fits are not bug reports.

How is the initial report a hissy fit? Show me one place where it is *not* 
describing a valid issue concerning the operation or usability of the package.

Your patient explanation follows, since you do not seem to want to go on the 
record yourself:

(#mumble on Freenode, 2012-06-04, times are CEST)
[20:16:41] <ron_> eww.
[20:17:48] <ron_> DireFog: btw the BTS wasn't (totally) ignoring you.  it just 
had some issues with load average spiking earlier today
...
[20:18:12] <ron_> I am interested to know if there are any problems with the 
version that hit unstable yesterday though
...
[20:18:42] <DireFog> the problem is that the version can't communicate with 
anyone
[20:18:50] <ron_> do you have Opus support?  because that's all that one will 
handle at present
[20:18:57] <DireFog> since it doesn't have the codec used by the other five 
nines of the userbase
[20:19:03] <ron_> I have no idea if the fallback without it is actually sane 
though
[20:19:31] <pcgod> there is no fallback, the fallback codec is celt 0.7.x :)
[20:19:32] <ron_> yes.  we know about that, but there are Some Issues
[20:19:52] <DireFog> without CELT, you sit on a small island, population you, 
and talk to yourself :-P
[20:20:04] <ron_> yeah, by fallback I meant "silence and or a useful error 
message" :/
[20:20:25] <ron_> and With CELT you may have a remote crasher on your hands.
[20:20:33] <ron_> choose your preferred problem ...
...
[20:20:55] <DireFog> at worst it's an app crasher, since it's running purely 
in userspace
[20:21:07] <DireFog> so I'll take that over not being able to talk to anyone
[20:21:15] <ron_> pcgod: yeah, that'd the bit I'm not certain about.  it could 
just be sending uninitialised junk buffers
[20:22:06] <ron_> no, at worst it's you being pwned and then priv escalation 
to root ...
[20:22:22] <DireFog> show me the exploit
[20:22:36] <ron_> show me there isn't one?
[20:22:59] <DireFog> right now, you're pushing out a completely broken package 
that makes the Debian project vulnerable to licensing-related lawsuits until 
the RFC is out
[20:23:23] <ron_> sigh
[20:23:41] <ron_> if you want to talk about this sensibly, I'm happy to do so
[20:23:42] <DireFog> so it's one of removing the package entirely out of 
paranoia, or removing it until OPUS support is finalised and enough people are 
using it to make the whole thing worthwhile again
[20:23:55] <ron_> if you want to handwave in a panic, that isn't going to help 
anything or any one
[20:24:17] <DireFog> but having a Debian Unstable Voice Messenger that fries 
my ears everytime someone starts talking is pretty darn useless.
...
[20:24:44] <DireFog> removing CELT support is the panicky handwaving in this 
case, since the thing has been around quite some time, and there are *no* 
known vulns
[20:24:58] <ron_> because yes, the alternative is I could remove it 
completely.  but I'm hoping we can do Something Better still.  there's not a 
lot of time for that to happen though.  so foaming is just wasting it
[20:25:23] <DireFog> what's the useful ting to do in your opinion?
[20:25:26] <DireFog> thing*
...
[20:26:01] <DireFog> right now, you're effectively publishing an incompatoible 
fork of the project
[20:26:03] <ron_> provide a fallback to speex would have been our surest 
baseline ...
[20:26:25] <ron_> but that's been removed now, and apparently needs manual 
tweaking to make happen
[20:26:54] <DireFog> you might as well remove the "low-latency, high quality" 
part from the package description then
[20:27:20] <ron_> celt was always an experiment.  that experiment is over.
[20:27:37] <ron_> yes, the timing is terrible, but move to opus and all will 
be fine again
[20:27:50] <ron_> it's not like that's really going to take all that long
[20:28:08] <DireFog> a *lot* of people won't be using that at least until 
1.2.4 has been out for quite some time
[20:28:13] <DireFog> hell
[20:28:19] <DireFog> many are still on 1.2.2 for some reason
[20:28:33] <ron_> *nobody* is maintaining celt anymore.
[20:28:35] <DireFog> so communication with any of those will be impossible
[20:29:14] <ron_> and if it's impossible, that will just give them incentive 
to move to a working version
[20:29:47] <DireFog> OK, so, *purely IMO* remove the entire package or rebrand 
it, since it's worthless without CELT and having it around under the official 
name will do nothing but hurt the project's reputation.
[20:30:07] <ron_> right now, you have interop hell, because you're spread over 
half a dozen mutually incompatible codecs
[20:30:14] <DireFog> what?
[20:30:43] <DireFog> AFAIK there are two supported versions that normally come 
with the program
...
[20:31:28] <DireFog> those are well-defined in the protocol, and support 
autonegotiation (given a recent enough server)
...
[21:35:14] <ron_> DireFog: anyhow, you've maybe got a couple of weeks to come 
up with some patches to improve things.  but shipping an unsupported codec in 
the distro for 2+ years, that its upstream thinks has unfixed problems, and 
has no intention of putting energy in to fix - isn't high on the list of Good 
Answers
[21:35:39] <DireFog> then rebrand the thing
[21:35:55] <DireFog> you can't ship anything with opus before the RFC anyway
[21:35:59] <ron_> you can do what you please and balance whatever risks you 
like on your own systems.  but that doesn't give you the right to make that 
decision for others.
[21:36:02] <DireFog> so plenty of time for that
[21:36:25] <ron_> pfft.  if all you care about is branding, you're wasting my 
time with wank anyway
[21:36:35] <DireFog> but it's IMO unfair to the upstream project to just start 
floating down a massively broken version
[21:36:38] <ron_> the IETF telecon is thursday ...
[21:36:49] <ron_> *this* thursday
[21:36:51] <DireFog> and the software itself isn't useful in its current state 
either
[21:37:06] <ron_> so send patches to make it useful instead of worrying about 
branding
[21:37:39] <DireFog> I don't really have stakes in Mumble anymore, and TBH I'm 
not eager to discuss this anyway, since it defies description.
[21:38:11] <ron_> and maybe wake slicer from the dead to help sort this shit 
out.  I didn't *ask* to be put in this position.  I'm just trying to help you 
as best I can because I like slicer ...
[21:38:26] <DireFog> you are damaging the project's name, it's as simple as 
that. You're of course free to do that, but it's unfair, and it's going to 
make a few people mad, while being of no use to anyone.
[21:38:51] <ron_> you dug the hole you're in today.  not me.
[21:39:09] <ron_> it's not like this hasn't been on the horizon for say 3 
years now ...
[21:39:23] <ron_> "you"
[21:39:57] <DireFog> as I said
[21:40:11] <pcgod> and we have at least another 5 years until we're able to 
drop celt 0.7.x because that's the only codec supported by the ubuntu version 
..
[21:40:17] <DireFog> you're free to do whatever you want, but you're shipping 
broken stuff.
[21:40:35] <DireFog> and that *will* produce fallout
[21:40:43] <ron_> ubuntu people can still install backports
[21:40:45] <DireFog> and that'll hit *you*
[21:40:59] <DireFog> I'm fine with you having fun with that too
[21:42:43] <ron_> the only sane direction out of this is forward.  you have a 
version with opus enabled to test now.  if you can make that work ok, then 
great
[21:43:18] <ron_> if nobody cares about that, there's still plenty of time to 
decide to drop if for wheezy if that's what you'd really prefer
[21:43:33] <ron_> s/drop if/drop it/
[21:45:28] <DireFog> I'll put it in plain terms. Your idea of "moving forward" 
means not being able to talk to anyone. If you want to do that, fine with me. 
What that makes me think of you both professionally and personally should be 
sufficiently clear by now. That's all I have to say. Have a nice life.
[21:46:30] <ron_> you don't pay my bills.  what you think of me is utterly 
irrelevant.  and I have a very nice life, thank you :)
[21:46:51] <ron_> either you send patches and help.  or you're just a whiner 
on IRC




Bug reopened Request was from Chris Knadle <Chris.Knadle@coredump.us> to control@bugs.debian.org. (Tue, 12 Jun 2012 00:00:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 12 Jun 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 12 Jun 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #36 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Subject: Breaks communication with mumble-server 1.2.3-2+b2
Date: Mon, 11 Jun 2012 20:22:42 -0400
This evening I went to speak to a friend using my Mumble server which uses 
version 1.2.3-2+b2 and was unable to communicate.  Local looback tests fine 
but server loopback does not work.

If there is a work-around for the removal of the CELT library I'm unaware of 
what it is, because the mumble-server pacakge does not discuss 
enabling/disabling of specific codecs.

I'm don't understand why this bug was marked as "Done" when there is no fix or 
workaround available other than downgrading and installing the libcelt0-0 
library.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 19 Jun 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 19 Jun 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #41 received at 675971@bugs.debian.org (full text, mbox):

From: micah anderson <micah@riseup.net>
To: 675971@bugs.debian.org
Subject: what should we be doing?
Date: Mon, 18 Jun 2012 22:59:40 -0400
Is the situation that all users that are at 1.2.3-348 and older can
speak to each other and all users that are at 1.2.3-349 and greater can
speak to each other, but >=349 cannot speak to <=348 users?

If so, is the intended plan for everyone to bump up to >=349?

If that is true, at the very least this warrants a NEWS entry.

micah
-- 





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 19 Jun 2012 09:06:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 19 Jun 2012 09:07:10 GMT) Full text and rfc822 format available.

Message #46 received at 675971@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: micah anderson <micah@riseup.net>, 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Tue, 19 Jun 2012 18:28:38 +0930
Hi micah,

On Mon, Jun 18, 2012 at 10:59:40PM -0400, micah anderson wrote:
> 
> Is the situation that all users that are at 1.2.3-348 and older can
> speak to each other and all users that are at 1.2.3-349 and greater can
> speak to each other, but >=349 cannot speak to <=348 users?
> 
> If so, is the intended plan for everyone to bump up to >=349?
> 
> If that is true, at the very least this warrants a NEWS entry.

If only it were actually that simple ...

The situation looks something like this:

 - Prior to the squeeze freeze, and after lots of discussion, mumble picked
   celt 0.7.1 to be the baseline codec for its internal protocol.  It still
   had speex support then, but would prefer to use celt.

 - For squeeze we provided a system library of that, so that anything else
   which wanted to experiment with celt would have a version to do that with
   too.  Thorvald was going to encourage other distros to ship this version
   of celt so there would be interoperability with a broad range of users -
   but that never happened and they all shipped some other incompatible
   version of it instead :(  Mumble already embeds it's own celt for those.

 - For squeeze+1, we were fairly sure celt would be obsolete and we'd have
   Opus by now, and the plan was to drop the system lib when that happened,
   with mumble making celt a private library of its own (given that it's
   really the only thing that actually depends on 0.7.1).  Eventually all
   of its users would have Opus and celt could be dropped there too.

 - We now have Opus, and all versions of celt outside of it are no longer
   being maintained by anybody.

 - Out best laid schemes then, true to form, gang aft agley when I learned
   of reasonable suspicion that 0.7.1 may be carrying a remote crasher
   among other unfixed issues.  These things were fixed in later releases
   of celt, but given it's an experimental codec, those versions are neither
   bitstream compatible with 0.7.1, nor are those fixes directly backportable
   since much of the code has been entirely rewritten numerous times now.

 - Nobody is committing to maintaining and taking responsibility for celt
   0.7.1, or has sufficient 'spare' time and/or the requisite knowledge to
   fully investigate this further.

 - Upstream has completely dropped the speex support from clients in recent
   changes to the code.

So at the time of the -349 upload, this was supposed to be temporary, while
people investigated the celt issues further.  But since then, it's mostly
become fairly clear that isn't going to happen in any particularly reassuring
way, and people have in fact just reaffirmed that nobody actually wants to
be responsible for maintaining celt 0.7.1.

So I can't really in good faith sign off on pushing that to the distro for
the life of a stable release at this point.  Which means the mumble client
that we currently have will only interoperate with clients that have opus
support.

Calling that an "intended plan" seems like an overstatement then ...
For the moment, at best, it is Present Day Reality and full of very
unintended elements.

Given the cloud over celt 0.7.1, encouraging anyone you care about to update
to a version using Opus instead seems independently prudent.

Given the general state of things, including the zeroc-ice snafu of breaking
ABI to "fix the build with gcc 4.7", and the time we have remaining before
the freeze, I'm having a very hard time seeing how this might possibly be a
viable release candidate for Wheezy anyway at this stage.


The only thing that seems to be clear, is that if mumble has a future, it's
going to be with opus, not celt.  So anybody who wants to help resolve this
as quickly as possible, should definitely be focussing on that migration.
This is largely out of my power to plan or control, so how long this will
take pretty much entirely depends on how long it takes people to tell their
friends "it's time to update again".  All I can really hope is that it will
happen before the blackhats tell them that instead.  All I can really do
is not make that something Debian's -security team will need to deal with
over the life of Wheezy.

 Sorry,
 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Thu, 21 Jun 2012 00:27:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 21 Jun 2012 00:27:17 GMT) Full text and rfc822 format available.

Message #51 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: micah anderson <micah@riseup.net>, 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Wed, 20 Jun 2012 20:20:39 -0400
On Monday, June 18, 2012 22:59:40, micah anderson wrote:
> Is the situation that all users that are at 1.2.3-348 and older can
> speak to each other and all users that are at 1.2.3-349 and greater can
> speak to each other, but >=349 cannot speak to <=348 users?

I did some testing of Mumble Client/Server on versions in Debian to try to 
answer this.

Notes:
  version "348" = 1.2.3-348-g317f5a0-1
     "348" client includes libcelt0-0, mumble-server does not
  version "349" = 1.2.3-349-g315b5f5-1
  "Yes" means "server loopback" worked correctly (ONE user on server)

              Server 348    Server 349   Server 1.2.3-2+b2
Client 348        Yes           Yes           Yes
Client 349        Yes           Yes            No

> If so, is the intended plan for everyone to bump up to >=349?

Based on this very minimal testing, I think that would work.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Thu, 21 Jun 2012 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Knadle <Chris.Knadle@coredump.us>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 21 Jun 2012 01:00:03 GMT) Full text and rfc822 format available.

Message #56 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Cc: micah anderson <micah@riseup.net>
Subject: Re: Bug#675971: what should we be doing?
Date: Thu, 21 Jun 2012 00:57:23 -0400
On Wednesday, June 20, 2012 08:20:39 PM Chris Knadle wrote:
> On Monday, June 18, 2012 22:59:40, micah anderson wrote:
> > Is the situation that all users that are at 1.2.3-348 and older can
> > speak to each other and all users that are at 1.2.3-349 and greater can
> > speak to each other, but >=349 cannot speak to <=348 users?
> 
> I did some testing of Mumble Client/Server on versions in Debian to try to
> answer this.
> 
> Notes:
>   version "348" = 1.2.3-348-g317f5a0-1
>      "348" client includes libcelt0-0, mumble-server does not
>   version "349" = 1.2.3-349-g315b5f5-1
>   "Yes" means "server loopback" worked correctly (ONE user on server)
> 
>               Server 348    Server 349   Server 1.2.3-2+b2
> Client 348        Yes           Yes           Yes
> Client 349        Yes           Yes            No
> 
> > If so, is the intended plan for everyone to bump up to >=349?
> 
> Based on this very minimal testing, I think that would work.

... however there's something else to consider -- version "349" is not 
available for all platforms.

On the Mumble website (http://mumble.sourceforge.net) none of the platforms 
(including Linux) have that version advertised for it.  From the appearance on 
the website, the latest "Stable" version advertised is 1.2.3a, and the 
"Developer snapshot" version is "361" (1.2.3-361-ga2a38360).

-- 

  -- Chris

Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Fri, 22 Jun 2012 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 22 Jun 2012 03:33:03 GMT) Full text and rfc822 format available.

Message #61 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Cc: micah anderson <micah@riseup.net>
Subject: Re: Bug#675971: what should we be doing?
Date: Thu, 21 Jun 2012 23:31:44 -0400
On Thursday, June 21, 2012 00:57:23, Chris Knadle wrote:
> On Wednesday, June 20, 2012 08:20:39 PM Chris Knadle wrote:
> > On Monday, June 18, 2012 22:59:40, micah anderson wrote:
> > > Is the situation that all users that are at 1.2.3-348 and older can
> > > speak to each other and all users that are at 1.2.3-349 and greater can
> > > speak to each other, but >=349 cannot speak to <=348 users?

Additional testing.  The newest client (349) in Debian without CELT support 
doesn't work with older versions of mumble-server in Debian -- but older 
versions of the client across several platforms seem to work with the newer 
versions of mumble-server in Debian.

Notes:
   server "348" = 1.2.3-3480g317f5a0-1 in Debian
     "348" client includes libcelt0-0, mumble-server does not
   server "349" = 1.2.3-349-g315b5f5-1 in Debian
   client "361" = 1.2.3-361-ga2a3836 (Developer Snapshot for Windows)
   "Yes" means "server loopback" worked correctly (one user on server only)

    mumble                   Debian mumble-server versions
client versions     1.2.2-6+squeeze1  1.2.3-2+b2   "348"   "349"
-------------------|----------------------------------------------|
Deb. Client "348"  |       Yes           Yes        Yes     Yes   |
Deb. Client "349"  |        No            No        Yes     Yes   |
Win. Client 1.2.3a |       Yes           Yes        Yes     Yes   |
Win. Client "361"  |       Yes           Yes        Yes     Yes   |
Mac  Client 1.2.2  |       Yes           Yes        Yes     Yes   |
                   |----------------------------------------------|

I'm glad that newer versions of the server work with older versions of the 
client, and as such I no longer have a personal stake in the decision of 
whether Wheezy gets version "349" or not.

The main issue I see is that the popular public mumble-server (murmur) servers 
seem to end up connecting using the CELT codec (which has issues) for which 
support for is removed in the "349" client in Debian Unstable (for good 
reasons).  I don't personally use the public servers, but if "349" is shipped 
for Wheezy this will likely be frustraing for many, so at the least I suggest 
having a private repo around somewhere that contains version "348" to point 
people to if it becomes necessary.  :-/

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sat, 23 Jun 2012 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schmitt <tcwardrobe@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 23 Jun 2012 19:57:04 GMT) Full text and rfc822 format available.

Message #66 received at 675971@bugs.debian.org (full text, mbox):

From: Michael Schmitt <tcwardrobe@gmail.com>
To: 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Sat, 23 Jun 2012 21:54:07 +0200
Hi folks,

I guess shipping both versions with wheezy is not a viable option? At 
least I think that it would make sense. Disclaimer in the readme, 
explanation of the situation, if a major security exploit does surface 
(a mumble-client-crash is not a major security risk imho), remove that 
second version (if there is no somewhat easy fix at that time). Call the 
package mumble-client-buggy that conflicts with the "normal" client and 
I guess all users can decide on their own if they want to be safe or 
actually talk to other people.

regards
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sun, 24 Jun 2012 11:18:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 24 Jun 2012 11:18:30 GMT) Full text and rfc822 format available.

Message #71 received at 675971@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Sun, 24 Jun 2012 20:37:29 +0930
Hi tcwardrobe@gmail.com,

I confess I'm not entirely certain how to respond to this suggestion
of yours ...

If, on the one hand, you actually are a black-hat, who has put in the
effort to actually analyse this for your own benefit - then I tip my hat
to you and your art, and wish you all the best in your future endeavours.
I'm sure it's quite evident that you'll find lots of low hanging fruit
here, even if we don't plant a whole new orchard of it for you.


If, on the other hand, you aren't, and haven't ...  then, uh ...  maybe
we should discuss the other ...  uh, opportunities ...  open to you,
like ...  uh ...  how about this one perhaps:

I have many milleons of DOLLURS ($ many,000,000,000,000) LEGITAMITELY
obtained from the vaults of Sadd@m that I wish to transfer to YOUR
b * n k  a c c * u n t.  But we must do it with UT MOST SECR3CY.
I am sure that you will understand this valuabl proposition for our
mutial benerfit.

We can let all users decide on their own if they want to be a part
of this once in a lifetime bonanza, right?  It's not like they'd
blame us if all the extra work to put them at risk then blew up in
their faces ...  would they?



On Sat, Jun 23, 2012 at 09:54:07PM +0200, tcwardrobe@gmail.com wrote:
> Hi folks,
> 
> I guess shipping both versions with wheezy is not a viable option?
> At least I think that it would make sense. Disclaimer in the readme,
> explanation of the situation, if a major security exploit does
> surface (a mumble-client-crash is not a major security risk imho),
> remove that second version (if there is no somewhat easy fix at that
> time). Call the package mumble-client-buggy that conflicts with the
> "normal" client and I guess all users can decide on their own if
> they want to be safe or actually talk to other people.
> 
> regards
> Michael
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sun, 24 Jun 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 24 Jun 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #76 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Michael Schmitt <tcwardrobe@gmail.com>, 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Sun, 24 Jun 2012 15:51:14 -0400
I'm  a bit dissappointed by the reply you got back to this suggestion, so I'm 
adding some thoughts concerning your idea.

On Saturday, June 23, 2012 15:54:07, Michael Schmitt wrote:
> Hi folks,
> 
> I guess shipping both versions with wheezy is not a viable option? At
> least I think that it would make sense. Disclaimer in the readme,
> explanation of the situation, if a major security exploit does surface
> (a mumble-client-crash is not a major security risk imho), remove that
> second version (if there is no somewhat easy fix at that time). Call the
> package mumble-client-buggy that conflicts with the "normal" client and
> I guess all users can decide on their own if they want to be safe or
> actually talk to other people.

What you're proposing concerning adding a 'mumble-client-buggy' could 
technically be done /in theory/ and even occasionally has been in other 
packages; the packages 'gobby' and 'gobby-0.5' are an example.  If you look 
these binary packages up, you'll see they have two different source packages 
too -- 'gobby' and 'gobby-infinote'.  The reason these exist is that the two 
versions of the software are incompatable by design, and 'upstream' still 
offers both versions.

Debian Wheezy is extremely close to being frozen in preparation for releasing 
the next version of Debian Stable -- a "buggy" package destined for the 
"stable" release would have to be justfied and would likely be rejected by the 
ftpmasters after upload if it couldn't be.  Plus it sounds like there are 
several other issues to handle.

These types of decisions are generally up to the maintainer of the package as 
to how to proceed.  It's clear the maintainer for mumble is frustrated right 
now, because (IMHO) there isn't a clear path as to how to proceed here.  
Several options are possible, but nothing seems to exactly fit -- removing the 
CELT codec breaks communication with popular older mumble/murmur servers, 
leaving the codec in has security and support implications, making both 
packages available would require going through the NEW queue at the last 
minute and would additionally risk being rejected.

Because of all these sticky problems, without a clear path to proceed if I 
were personally in the maintainer's shoes I'd probably take the "do nothing" 
option and release the current "348" version that has the libcelt0-0 codec 
that has issues but retains compatability with older popular mumble servers.  
I wouldn't /like/ this option though, because I'd have to support it for two 
years, and upstream isn't supporting the buggy CELT 0.7.1 codec at all.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 25 Jun 2012 01:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schmitt <tcwardrobe@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 25 Jun 2012 01:39:09 GMT) Full text and rfc822 format available.

Message #81 received at 675971@bugs.debian.org (full text, mbox):

From: Michael Schmitt <tcwardrobe@gmail.com>
To: Chris.Knadle@coredump.us
Cc: 675971@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Mon, 25 Jun 2012 03:36:28 +0200
Hi Chris,

Am 24.06.2012 21:51, schrieb Chris Knadle:
> I'm  a bit dissappointed by the reply you got back to this suggestion, so I'm
> adding some thoughts concerning your idea.
*Many* thanks for taking my mail seriously, which the maintainer 
obviously did not. And yes, I am also rather disappointed about Rons 
reaction.

> On Saturday, June 23, 2012 15:54:07, Michael Schmitt wrote:
>> Hi folks,
>>
>> I guess shipping both versions with wheezy is not a viable option? At
>> least I think that it would make sense. Disclaimer in the readme,
>> explanation of the situation, if a major security exploit does surface
>> (a mumble-client-crash is not a major security risk imho), remove that
>> second version (if there is no somewhat easy fix at that time). Call the
>> package mumble-client-buggy that conflicts with the "normal" client and
>> I guess all users can decide on their own if they want to be safe or
>> actually talk to other people.
> What you're proposing concerning adding a 'mumble-client-buggy' could
> technically be done /in theory/ and even occasionally has been in other
> packages; the packages 'gobby' and 'gobby-0.5' are an example.  If you look
> these binary packages up, you'll see they have two different source packages
> too -- 'gobby' and 'gobby-infinote'.  The reason these exist is that the two
> versions of the software are incompatable by design, and 'upstream' still
> offers both versions.
The situation in with mumble differs slightly there... but more about 
that later.

> Debian Wheezy is extremely close to being frozen in preparation for releasing
> the next version of Debian Stable -- a "buggy" package destined for the
> "stable" release would have to be justfied and would likely be rejected by the
> ftpmasters after upload if it couldn't be.  Plus it sounds like there are
> several other issues to handle.
Substitute "buggy" with "unsupported" or anything else that might sound 
sane. And the situation is quite clear and I do understand there are 
several valid point of views. Even if Ron lacks some... ehm... whatever, 
technically I do understand his point. But what other issues are there, 
apart from *possible* security exploits?

> These types of decisions are generally up to the maintainer of the package as
> to how to proceed.  It's clear the maintainer for mumble is frustrated right
> now,
Frustration... I see, that's how they call it. ;)

> because (IMHO) there isn't a clear path as to how to proceed here.
That just depends on the various POVs, and every POV has a straight 
path... imho. If you just don't have a somewhat solid POV yet, different 
story for sure. ;)

> Several options are possible, but nothing seems to exactly fit -- removing the
> CELT codec breaks communication with popular older mumble/murmur servers,
> leaving the codec in has security and support implications,
That depends how one "reads" upstreams statement about that issue, which 
is (iirc) "we don't drop celt in mumble, if a problem with celt faces, 
we will react / try to fix it". So imho, no real security issues. But 
yes, one may say there needs to be done a complete celt code-review so 
that assurance from upstream... one valid POV there could be "not 
enough, celt must be dropped".
My point there is: No real exploits known yet, leave celt 0.7 and 0.11.1 
in mumble (as upstream does), if real security exploits rise -> 
communicate with upstream and take it from there.

> making both
> packages available would require going through the NEW queue at the last
> minute and would additionally risk being rejected.
Sure, a not-so-good alternative, but a valid option nevertheless.

> Because of all these sticky problems, without a clear path to proceed if I
> were personally in the maintainer's shoes I'd probably take the "do nothing"
> option and release the current "348" version that has the libcelt0-0 codec
> that has issues but retains compatability with older popular mumble servers.
> I wouldn't /like/ this option though, because I'd have to support it for two
> years, and upstream isn't supporting the buggy CELT 0.7.1 codec at all.
Afaik, wrong. Upstream does support (as described above) both celt 
incarnations (built-in). And only the current debian package does not 
include celt (and the external lib was removed). I wonder how other 
distros will handle this...

In general, I had a few words with some mumble devs on IRC a few days 
back. Common thinking there was, removing celt is not a wise option, no 
real security exploits known yet, mumble will support celt for the 
foreseeable future (1 - 2 years).
And as we have security.debian.org, IF a problem faces next year, valid 
option there is to remove celt from the mumble package again and we had 
many months for the rest of the mumble world to upgrade to a newer / 
compatible version. A sidenote there: Opus is still just a draft! So 
removing celt now with the explanation "Opus is there, no need for celt 
anymore" is at least not completely valid.

The question is just, where does one stand. And, can we convince the 
maintainer to change his POV (which I somehow doubt...).

regards
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 25 Jun 2012 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 25 Jun 2012 08:30:03 GMT) Full text and rfc822 format available.

Message #86 received at 675971@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Mon, 25 Jun 2012 17:57:20 +0930
On Sun, Jun 24, 2012 at 03:51:14PM -0400, Chris Knadle wrote:
> Because of all these sticky problems, without a clear path to proceed if I 
> were personally in the maintainer's shoes I'd probably take the "do nothing" 
> option and release the current "348" version that has the libcelt0-0 codec 
> that has issues but retains compatability with older popular mumble servers.  

The so called "do nothing" option is far simpler than that.
The 348 version fails to build from source and so is undistributable.
Since you insisted on reopening this bug as RC, it, among others, ties my
hands and prevents updating that, and the actual logical conclusion is the
people who preferred "don't ship mumble in wheezy at all" look like getting
their wish now.

If people would rather write long rationalisations about how to pretend
the problem doesn't exist than Do Something to actually solve it and
create a viable future for maintaining this code, than logically, that's
probably even the correct outcome.

To say I'm "a bit disappointed" by that would be an understatement, it
certainly makes a waste of the effort I've put in trying to find some
workable solution - but if nobody else cares enough than to say "just
close your eyes and ship it", then I don't see this being resolved in
any adequate way in the tiny amount of time remaining to do so.

A month ago you might have been able to convince me of anything if I
saw people actually committed to Doing The Work needed to make that a
viable answer.  But all I've seen is people saying "there is no problem
until patches magically appear to fix it", and outright refusing to be
the one who takes any responsibility for the now abandoned code.

Now people are even saying they want other people to do double the work
and take on all the risk, so that they (and innocent others) can be
insecure without being interrupted from busily doing the nothing that
they themselves would rather be doing.

If the obvious answer to that isn't obvious, then I don't know what
else to say.


People I've never heard of are going to need better evidence than some
dismissive handwaving to convince me to ignore the concerns of people
who I very much trust.  When the person who has found more bugs in this
code than anyone else in the world expresses concern, it would be dumb
not to listen to them - when someone who has never even looked at the
code says "I don't see a problem", then ...  well ...
I'm sure you can safely extrapolate from there.






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 25 Jun 2012 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 25 Jun 2012 19:15:05 GMT) Full text and rfc822 format available.

Message #91 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Ron <ron@debian.org>, 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Mon, 25 Jun 2012 15:12:36 -0400
On Monday, June 25, 2012 04:27:20, Ron wrote:
> On Sun, Jun 24, 2012 at 03:51:14PM -0400, Chris Knadle wrote:
> > Because of all these sticky problems, without a clear path to proceed if
> > I were personally in the maintainer's shoes I'd probably take the "do
> > nothing" option and release the current "348" version that has the
> > libcelt0-0 codec that has issues but retains compatability with older
> > popular mumble servers.

I see you've trimmed the last line from what I wrote, which fundamentally 
changes the meaning.

> The so called "do nothing" option is far simpler than that.
> The 348 version fails to build from source and so is undistributable.
> Since you insisted on reopening this bug as RC, it, among others, ties my
> hands and prevents updating that, and the actual logical conclusion is the
> people who preferred "don't ship mumble in wheezy at all" look like getting
> their wish now.

What I /did/ was find a bug in the latest mumble client, found a bug report 
that matched the symtpoms but which was somehow closed without any explanation 
or fix, and reopened it.  That was the correct action for me to take and if I 
hadn't done it someone else would have.

> If people would rather write long rationalisations about how to pretend
> the problem doesn't exist than Do Something to actually solve it and
> create a viable future for maintaining this code, than logically, that's
> probably even the correct outcome.

I've already spent 12 hours testing several versions of both mumble-client and 
mumble-server on three platforms.  This was intended to help both you and 
others.  If this blame-laden email is your way of asking for further help, 
it's a piss poor way of doing it.  I am willing to help further, but I'm most 
definitely not if you're going to continue giving me attitude.

Learn to ask.  Nicely.

> To say I'm "a bit disappointed" by that would be an understatement, it
> certainly makes a waste of the effort I've put in trying to find some
> workable solution - but if nobody else cares enough than to say "just
> close your eyes and ship it", then I don't see this being resolved in
> any adequate way in the tiny amount of time remaining to do so.
>
> A month ago you might have been able to convince me of anything if I
> saw people actually committed to Doing The Work needed to make that a
> viable answer.  But all I've seen is people saying "there is no problem
> until patches magically appear to fix it", and outright refusing to be
> the one who takes any responsibility for the now abandoned code.
> 
> Now people are even saying they want other people to do double the work
> and take on all the risk, so that they (and innocent others) can be
> insecure without being interrupted from busily doing the nothing that
> they themselves would rather be doing.

I did not intend to suggest that packaging another version of mumble was 
correct for this case, but rather only that it has been done elsewhere and 
that it is up to the maintainer to choose the action to take.  I felt this was 
necessary to explain to Michael because your reply to him was unhelpful to 
anyone, and I wanted to give him more helpful information.

> If the obvious answer to that isn't obvious, then I don't know what
> else to say.
> 
> 
> People I've never heard of are going to need better evidence than some
> dismissive handwaving to convince me to ignore the concerns of people
> who I very much trust.  When the person who has found more bugs in this
> code than anyone else in the world expresses concern, it would be dumb
> not to listen to them - when someone who has never even looked at the
> code says "I don't see a problem", then ...  well ...
> I'm sure you can safely extrapolate from there.

Right now the extrapolation I get is that trying to help you further is not a 
worthwhile use of my time.  I'd appreciate it if that would change.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 25 Jun 2012 21:30:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 25 Jun 2012 21:30:45 GMT) Full text and rfc822 format available.

Message #96 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Michael Schmitt <tcwardrobe@gmail.com>
Cc: 675971@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Mon, 25 Jun 2012 17:26:50 -0400
It seems unusual to CC ftpmaster in a bug report, but keeping the CC as this 
is a reply to one that went there.

On Sunday, June 24, 2012 21:36:28, Michael Schmitt wrote:
> Am 24.06.2012 21:51, schrieb Chris Knadle:
> > On Saturday, June 23, 2012 15:54:07, Michael Schmitt wrote:
..
> > I'm  a bit dissappointed by the reply you got back to this suggestion, so
> > I'm adding some thoughts concerning your idea.
> 
> *Many* thanks for taking my mail seriously, which the maintainer
> obviously did not.

You're welcome.

...
> > Because of all these sticky problems, without a clear path to proceed if
> > I were personally in the maintainer's shoes I'd probably take the "do
> > nothing" option and release the current "348" version that has the
> > libcelt0-0 codec that has issues but retains compatability with older
> > popular mumble servers. I wouldn't /like/ this option though, because
> > I'd have to support it for two years, and upstream isn't supporting the
> > buggy CELT 0.7.1 codec at all.
> 
> Afaik, wrong. Upstream does support (as described above) both celt
> incarnations (built-in). And only the current debian package does not
> include celt (and the external lib was removed).

Just to recap:  Ron described communicating with upstream in which they did 
not commit to supporting CELT 0.7.1, which Ron said is bitstream incompatable 
with other versions of CELT.  i.e. what is reported is that only a specific 
version of CELT is allegedly not getting support upstream.



A logical thing to try from here, if you want to give this a shot, would be to 
attempt to build the current upstream version from source and see if the 
current version of CELT that it includes will work with older versions of 
mumble-server, many of which are public.

If you manage to get it to build and run, in the configuration select 
"Advanced" on the bottom left of the configure window, then in the "Audio 
Output" section under "Loopback Test", try the "server" setting and see if you 
can hear yourself through the server.

This would specifically be helpful in verifying firsthand if the newer 
versions of CELT that ship with upstream Mumble will work with older versions 
of mumble-server.

> I wonder how other distros will handle this...
> 
> In general, I had a few words with some mumble devs on IRC a few days
> back. Common thinking there was, removing celt is not a wise option, no
> real security exploits known yet, mumble will support celt for the
> foreseeable future (1 - 2 years).

Do you know if CELT still the default codec?

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 26 Jun 2012 13:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 26 Jun 2012 13:09:15 GMT) Full text and rfc822 format available.

Message #101 received at 675971@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: 675971@bugs.debian.org
Cc: Chris.Knadle@coredump.us, Michael Schmitt <tcwardrobe@gmail.com>
Subject: Re: Bug#675971: what should we be doing?
Date: Tue, 26 Jun 2012 15:08:45 +0200
On Monday 25 June 2012 23:26:50 Chris Knadle wrote:
> It seems unusual to CC ftpmaster in a bug report, but keeping the CC as
> this is a reply to one that went there.

I won't, there are people you definitely don't want to be on the bad side of 
;-)

> On Sunday, June 24, 2012 21:36:28, Michael Schmitt wrote:
> A logical thing to try from here, if you want to give this a shot, would be
> to attempt to build the current upstream version from source and see if
> the current version of CELT that it includes will work with older versions
> of mumble-server, many of which are public.

Mumble 1.2 will by default always only ship up to two versions of CELT:

 * 0.7.1 as a baseline, which is supposed to be supported by all clients and 
servers, and
 * a second, more recent version (for Mumble 1.2.4, that's 0.11, and that's 
unlikely to change since there won't be any further releases).

Those two versions are incompatible, that's why the universally supported 
baseline is there.

> If you manage to get it to build and run, in the configuration select
> "Advanced" on the bottom left of the configure window, then in the "Audio
> Output" section under "Loopback Test", try the "server" setting and see if
> you can hear yourself through the server.
> 
> This would specifically be helpful in verifying firsthand if the newer
> versions of CELT that ship with upstream Mumble will work with older
> versions of mumble-server.

The client tells the server which versions it supports. If it doesn't admit to 
supporting 0.7.1, the server will effectively assume that it does anyway, to 
retain a stable codec negotiation and to keep misbehaving clients from ruining 
things for everyone. That mechanism is supported by all 1.2 server versions 
(plus or minus a few details, but if you're on >= 1.2.3, you should be golden; 
using 1.2.2 as a server, especially without a few patches, may not give you 
the stable operation you'd hope for).

In a further step, the server makes sure to negotiate a codec that's supported 
by all clients "within listening range".

To my knowledge, that mechanism will work with all server versions that are 
not a stupid thing to use. The only thing new to the party is Opus, which 
requires further protocol support on the server side.

So effectively, as long as your client advertises only codecs it really 
supports and has the baseline codec, server echo will work, as will 
communication with other people.

> > In general, I had a few words with some mumble devs on IRC a few days
> > back. Common thinking there was, removing celt is not a wise option, no
> > real security exploits known yet, mumble will support celt for the
> > foreseeable future (1 - 2 years).
> 
> Do you know if CELT still the default codec?

For the 1.2 series, it's supposed to be. Opus is going to be supported, it 
will be used if all clients support it, and there are knobs in place to make a 
server prefer it even at the disadvantage of older clients, but the baseline 
codec will be assumed for a long time to come.

Hope that clears things up a bit,
Nicos




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Tue, 26 Jun 2012 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Tue, 26 Jun 2012 21:36:04 GMT) Full text and rfc822 format available.

Message #106 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org, Nicos Gollan <gtdev@spearhead.de>
Cc: Michael Schmitt <tcwardrobe@gmail.com>
Subject: Re: Bug#675971: what should we be doing?
Date: Tue, 26 Jun 2012 17:33:39 -0400
Greetings Nicos.  Thank you for your informative email.

On Tuesday, June 26, 2012 09:08:45, Nicos Gollan wrote:
> On Monday 25 June 2012 23:26:50 Chris Knadle wrote:
> > On Sunday, June 24, 2012 21:36:28, Michael Schmitt wrote:

...
> > If you manage to get it to build and run, in the configuration select
> > "Advanced" on the bottom left of the configure window, then in the "Audio
> > Output" section under "Loopback Test", try the "server" setting and see
> > if you can hear yourself through the server.
> > 
> > This would specifically be helpful in verifying firsthand if the newer
> > versions of CELT that ship with upstream Mumble will work with older
> > versions of mumble-server.
> 
> The client tells the server which versions it supports. If it doesn't admit
> to supporting 0.7.1, the server will effectively assume that it does
> anyway, to retain a stable codec negotiation and to keep misbehaving
> clients from ruining things for everyone. That mechanism is supported by
> all 1.2 server versions (plus or minus a few details, but if you're on >=
> 1.2.3, you should be golden; using 1.2.2 as a server, especially without a
> few patches, may not give you the stable operation you'd hope for).
> 
> In a further step, the server makes sure to negotiate a codec that's
> supported by all clients "within listening range".
> 
> To my knowledge, that mechanism will work with all server versions that are
> not a stupid thing to use. The only thing new to the party is Opus, which
> requires further protocol support on the server side.
> 
> So effectively, as long as your client advertises only codecs it really
> supports and has the baseline codec, server echo will work, as will
> communication with other people.

I'm assuming all of the above is true under normal circumstnaces when CELT 
0.7.1 support is included.  However with libcelt0-0 removed, mumble version 
1.2.3-349-g315b5f5-1 is unable to communicate via server loopback to the 
majority of the public mumble servers (at least in the United States) all of 
which seem to have versions >= 1.2.3.

None of the server loopback tests with public servers I tested with worked 
reliably.

Tests shows that communication with this server works _sometimes_:
   1.2.3-361-ga2a3836-ermine  Server:"0 FREE OrangeRed Mumble West 0"
      (Codec Opus)   later retests fail and show Codec: None

Tests failed with these servers:
   1.2.3-1~ppa1~lucid     Server:"0- MumbleBoxes.com Demo Server - Atlanta #1"
   1.2.3-273-g0f4314e-ermine   Server:"0- FREE OrangeRed Mumble Central 0"
   1.2.3 (Win)
   1.2.3                       Server:"Breakpoint Lobby"
   1.2.3-1ubuntu6.1            Server:"Luke's Server"
   

The intermittency of server loopback communication with the OrangeRed server 
above is interesting, and likely has to do with the protocol negotiation to 
find a protocol that all connected clients support.  :-(

Unfortunately I've come to the conclusion that with CELT 0.7.1 support 
removed, the user experience with public servers is dismal.  Since CELT 0.7.1 
support is assumed rather than advertised [based on what you've described], 
communication without support for it will be unreliable, at best.

> > > In general, I had a few words with some mumble devs on IRC a few days
> > > back. Common thinking there was, removing celt is not a wise option, no
> > > real security exploits known yet, mumble will support celt for the
> > > foreseeable future (1 - 2 years).
> > 
> > Do you know if CELT still the default codec?
> 
> For the 1.2 series, it's supposed to be. Opus is going to be supported, it
> will be used if all clients support it, and there are knobs in place to
> make a server prefer it even at the disadvantage of older clients, but the
> baseline codec will be assumed for a long time to come.
> 
> Hope that clears things up a bit

Yes, it does -- very much so.  Thanks very much.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 27 Jun 2012 07:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 27 Jun 2012 07:03:06 GMT) Full text and rfc822 format available.

Message #111 received at 675971@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: 675971@bugs.debian.org
Cc: Chris.Knadle@coredump.us, Michael Schmitt <tcwardrobe@gmail.com>
Subject: Re: Bug#675971: what should we be doing?
Date: Wed, 27 Jun 2012 08:59:57 +0200
Hi,

On Tuesday 26 June 2012 23:33:39 Chris Knadle wrote:
> I'm assuming all of the above is true under normal circumstnaces when CELT
> 0.7.1 support is included.  However with libcelt0-0 removed, mumble version
> 1.2.3-349-g315b5f5-1 is unable to communicate via server loopback to the
> majority of the public mumble servers (at least in the United States) all
> of which seem to have versions >= 1.2.3.

Protocol support for Opus was only enabled in fairly recent development 
versions, so server builds that are based on 1.2.3 and only include selected 
upstream patches will most likely not advertise it. Effectively, the 
standardisation process and related resolution of licensing issues for the new 
codec are one of the things holding back a "proper" 1.2.4 release.

So for reliable support, the safer bet would be to wait for 1.2.4; until then, 
it's under development and may break in weird ways.

Regards,
Nicos




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 27 Jun 2012 09:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 27 Jun 2012 09:00:03 GMT) Full text and rfc822 format available.

Message #116 received at 675971@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Wed, 27 Jun 2012 18:27:13 +0930
On Wed, Jun 27, 2012 at 08:59:57AM +0200, Nicos Gollan wrote:
> Effectively, the standardisation process and related resolution of licensing
> issues for the new codec are one of the things holding back a "proper" 1.2.4
> release.

Whatever the real reasons for mumble upstream dragging its feet on making this
easier for people to test may be, these aren't it.  If they were real problems
then Debian and its derivatives would not be shipping this, Fedora and Gentoo
would not be shipping this, Firefox would not be shipping with support for this,
gstreamer would not be shipping with support for this, mangler would not be
shipping with support for this ...  etc. etc. etc.  And they especially would
not be doing so with the encouragement and support of the developers from the
CODEC working group and the holders of all relevant licences, who have been
actively guiding and driving this rollout ...

People with a much bigger stake in this than you have would be crying foul
if there were even the smallest suspicion of such problems being real.
Including myself.

I'm even pretty sure you were around when this was discussed on IRC, so ...


> So for reliable support, the safer bet would be to wait for 1.2.4; until then, 
> it's under development and may break in weird ways.

Which is not to say this part might not be true.  But only because of bugs
that purely exist in mumble alone, not any other cause.  I personally don't
see how making it artificially hard for people to test it is going to make
it stop breaking "in weird ways" any sooner ...  but ymmv.


Maybe people should look at the Mangler package and ventrilo if they really
just want something that actually works today and they aren't concerned about
the compromises they need to make to get that - which seems to be the ongoing
theme here.

They managed to get that working with opus in just a couple of days, and with
none of the ED grade drama that we seem to be seeing here.

 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 27 Jun 2012 13:01:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 27 Jun 2012 13:01:37 GMT) Full text and rfc822 format available.

Message #121 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Cc: Nicos Gollan <gtdev@spearhead.de>, Michael Schmitt <tcwardrobe@gmail.com>
Subject: Re: Bug#675971: what should we be doing?
Date: Wed, 27 Jun 2012 08:59:25 -0400
On Wednesday, June 27, 2012 04:57:13, Ron wrote:
> On Wed, Jun 27, 2012 at 08:59:57AM +0200, Nicos Gollan wrote:
...
> > So for reliable support, the safer bet would be to wait for 1.2.4; until
> > then, it's under development and may break in weird ways.
> 
> Which is not to say this part might not be true.  But only because of bugs
> that purely exist in mumble alone, not any other cause.  I personally don't
> see how making it artificially hard for people to test it is going to make
> it stop breaking "in weird ways" any sooner ...  but ymmv.
> 
> 
> Maybe people should look at the Mangler package and ventrilo if they really
> just want something that actually works today and they aren't concerned
> about the compromises they need to make to get that - which seems to be
> the ongoing theme here.
> 
> They managed to get that working with opus in just a couple of days, and
> with none of the ED grade drama that we seem to be seeing here.

That cuts both ways.

Okay...

What do you believe the correct action to take for Mumble?
What could you use help with?

I've had a look at the mumble source package in git.

On Sid, after doing a checkout of v1.2.3-348-g317f5a0-1 the package is not 
buildable right now because a dependency on libcelt-dev which has been 
removed.

On Wheezy, after doing a checkout of v1.2.3-348-g317f5a0-1 I'm unable to get 
the package to build because there's no source tarball and debuild reports 
that it can't build source format 3.0 (quilt) if the source tarball is 
missing.  Do you have the source tarball for 1.2.3-348-g317f5a0 at a web 
accessible location somewhere?

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 27 Jun 2012 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 27 Jun 2012 18:54:05 GMT) Full text and rfc822 format available.

Message #126 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Wed, 27 Jun 2012 14:51:23 -0400
On Wednesday, June 27, 2012 08:59:25, Chris Knadle wrote:
...
> On Wheezy, after doing a checkout of v1.2.3-348-g317f5a0-1 I'm unable to
> get the package to build because there's no source tarball and debuild
> reports that it can't build source format 3.0 (quilt) if the source
> tarball is missing.  Do you have the source tarball for 1.2.3-348-g317f5a0
> at a web accessible location somewhere?

nevermind, 'apt-get source mumble' gets the necessary tarball.



I've re-read what you had written to at least try to understand what options 
there there might be.

If possible, I'd like some clarification on what the "zero-ice snafu" in the 
following statement means:

On Tuesday, June 19, 2012 04:58:38, Ron wrote:
...
> Given the general state of things, including the zeroc-ice snafu of
> breaking ABI to "fix the build with gcc 4.7", and the time we have
> remaining before the freeze, I'm having a very hard time seeing how this
> might possibly be a viable release candidate for Wheezy anyway at this
> stage.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sun, 01 Jul 2012 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 18:09:02 GMT) Full text and rfc822 format available.

Message #131 received at 675971@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Chris.Knadle@coredump.us, 675971@bugs.debian.org
Subject: Re: Bug#675971: what should we be doing?
Date: Sun, 1 Jul 2012 20:03:49 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 27, 2012 at 02:51:23PM -0400, Chris Knadle wrote:
> I've re-read what you had written to at least try to understand what options 
> there there might be.
> 
> If possible, I'd like some clarification on what the "zero-ice snafu" in the 
> following statement means:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672066#54

Kind regards
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ron Lee <ron@debian.org>:
You have taken responsibility. (Sun, 08 Jul 2012 18:21:18 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Sun, 08 Jul 2012 18:21:18 GMT) Full text and rfc822 format available.

Message #136 received at 675971-close@bugs.debian.org (full text, mbox):

From: Ron Lee <ron@debian.org>
To: 675971-close@bugs.debian.org
Subject: Bug#675971: fixed in mumble 1.2.3-349-g315b5f5-2
Date: Sun, 08 Jul 2012 18:17:24 +0000
Source: mumble
Source-Version: 1.2.3-349-g315b5f5-2

We believe that the bug you reported is fixed in the latest version of
mumble, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675971@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ron Lee <ron@debian.org> (supplier of updated mumble package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jul 2012 06:18:50 +0930
Source: mumble
Binary: mumble mumble-server mumble-dbg
Architecture: source amd64
Version: 1.2.3-349-g315b5f5-2
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Ron Lee <ron@debian.org>
Description: 
 mumble     - Low latency VoIP client
 mumble-dbg - Low latency VoIP client (debugging symbols)
 mumble-server - Low latency VoIP server
Closes: 675955 675971 676815 676816 678759
Changes: 
 mumble (1.2.3-349-g315b5f5-2) unstable; urgency=low
 .
   * Drop the hard dep on boost-1.46, that's been removed now.  Closes: #678759
     Drop the | dep on alternative boost, since that's what got this package
     overlooked when people were removing boost-1.46.
 .
   * Drop the | dep on libgl-dev, that's been gone a long time now too and
     leaves us vulnerable to a similar problem.
 .
   * Drop the mumble-server-web package altogether.  Upstream reports that it
     is unmaintained and "pretty useless anyway", which seems to be well backed
     up by the fact that a call to Ice_intversion() was added in March 2010,
     and that function has never existed in any version of zeroc-ice ever.
     A function named Ice_intVersion was added to -ice 3.2.1 though ...
     Since it's taken this long for anyone to notice, we can be pretty sure that
     there aren't any actual users of it.  Closes: #676815, #676816
 .
   * Build-Depend on the unfycked version of zeroc-ice, so the ABI broken one
     doesn't accidentally get used by an out of date buildd.  Closes: #675955
     Force building with gcc-4.6, since that's required for zeroc-ice deps now,
     until they get their act together and write some actually legal code.
 .
   * Cherry-pick the upstream patches to fix the "audio glitches", and provide
     codec thresholds and warnings.  Closes: #675971 since it fixes the only
     actual bug reported there.
 .
   * Drop the watch file, since this has been building snapshots from git now
     since 1.2.3-3 (and before).
Checksums-Sha1: 
 228fcf464660c9d884d80273cb1c0ab6e1fe4bdf 1876 mumble_1.2.3-349-g315b5f5-2.dsc
 85b0a8455a4555e19aeca25ef1d20b335e6e6226 36834 mumble_1.2.3-349-g315b5f5-2.debian.tar.gz
 000665df5bc55482f0dafb0302b3d588cd26c971 2827790 mumble_1.2.3-349-g315b5f5-2_amd64.deb
 34bdcf5dbbd16d628383b7899761d589695f724f 955738 mumble-server_1.2.3-349-g315b5f5-2_amd64.deb
 5e181624c063233cb81edbdf6a2350107ac969af 29210486 mumble-dbg_1.2.3-349-g315b5f5-2_amd64.deb
Checksums-Sha256: 
 65575950021cc45a650a5b81caeb37e90fa1b84af943d9fe8e50812fd6fff4e9 1876 mumble_1.2.3-349-g315b5f5-2.dsc
 f2bf04a0134012c29c81df09fd172bfa93c84dee13305be9d8f1bd152e2aad64 36834 mumble_1.2.3-349-g315b5f5-2.debian.tar.gz
 5ddb4f55fc77936d61c8dea0801065ce3b90f36bf68f65a27b7c5162a43c937d 2827790 mumble_1.2.3-349-g315b5f5-2_amd64.deb
 40b88ed917eed21971d8a7581dad36297b9de7b666157072778f971664654b41 955738 mumble-server_1.2.3-349-g315b5f5-2_amd64.deb
 f3b3bba1dee6bfd3f6e7edf02ef78765861877002a59ee8fc790182e3e94560f 29210486 mumble-dbg_1.2.3-349-g315b5f5-2_amd64.deb
Files: 
 daa46c4a054f1f6f3592ee60258b6966 1876 sound optional mumble_1.2.3-349-g315b5f5-2.dsc
 592dfc80690df198f2e15c04ccb18f66 36834 sound optional mumble_1.2.3-349-g315b5f5-2.debian.tar.gz
 4a033523790f766c018c8f93d4c5941a 2827790 sound optional mumble_1.2.3-349-g315b5f5-2_amd64.deb
 34fb602307051b34538be455ce5ce223 955738 sound optional mumble-server_1.2.3-349-g315b5f5-2_amd64.deb
 d6038523250c916f9d42adf8f1a24e92 29210486 debug extra mumble-dbg_1.2.3-349-g315b5f5-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFP+cnCp4BCHGgCHOQRAnUxAJ9IBqbBbE4RUQV2A8P3cf2mFwM1QwCfWjpZ
sg+n0+Vwwy0S1xr3SZpEHws=
=GaPP
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 09 Jul 2012 04:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 09 Jul 2012 04:18:04 GMT) Full text and rfc822 format available.

Message #141 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Ron Lee <ron@debian.org>
Cc: Nicos Gollan <gtdev@spearhead.de>, micah anderson <micah@riseup.net>, Michael Schmitt <tcwardrobe@gmail.com>, Philipp Kern <pkern@debian.org>, 675971@bugs.debian.org
Subject: Bug #675971 closed, but is not fixed
Date: Mon, 9 Jul 2012 00:14:23 -0400
Ron, thank you for your efforts and for uploading a new version of Mumble, 
1.2.3-349-g315b5f5-2.

I just tested this version of the client with mumble-server version 1.2.3-2+b2 
-- and unfortunately server loopback communication does not work, even when 
nobody else is connected to the server -- information shows "Codec: None".

Bug #675971 is about the disabling of a default CELT codec which breaks 
communication with any server that doesn't have the Opus Codec available, as 
well as with servers that do have Opus available but which has another Mumble 
client connect which doesn't.  This still seems to be a problem with this new 
upload, so I feel that this grave bug is being closed incorrectly, unless 
there's an explanation.  Neither the changelog.Debian.gz nor the 
NEWS.Debian.gz discusses the impact of the CELT library removal, which was 
another issue Nicos reported on June 5.

I'm not going to bother re-opening the bug again [even though I feel it would 
be correct to do so], because I don't think that would help you.  But 
simultaneously I strongly suggest updating the NEWS.Debian.gz to warn users of 
the impact of the CELT Codec removal [and thus making another upload], because 
the removal of the codec is a non-upstream decision which has a large impact 
on the usability of the package.

Thanks.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Bug reopened Request was from Alexander <alexander.nofamilyname@gmx.net> to control@bugs.debian.org. (Thu, 12 Jul 2012 13:27:08 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions mumble/1.2.3-349-g315b5f5-2. Request was from Alexander <alexander.nofamilyname@gmx.net> to control@bugs.debian.org. (Thu, 12 Jul 2012 13:27:09 GMT) Full text and rfc822 format available.

Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Thu, 12 Jul 2012 18:30:53 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Thu, 12 Jul 2012 18:30:55 GMT) Full text and rfc822 format available.

Message #150 received at 675971-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971-done@bugs.debian.org
Subject: Re: Processed (with 3 errors): reopen 675971
Date: Fri, 13 Jul 2012 03:25:28 +0930
On Thu, Jul 12, 2012 at 01:27:10PM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > reopen 675971
> Bug #675971 {Done: Ron Lee <ron@debian.org>} [mumble] mumble: Version 1.2.3-349 breaks audio and server communication
> 'reopen' may be inappropriate when a bug has been closed with a version;
> all fixed versions will be cleared, and you may need to re-add them.
> Bug reopened
> No longer marked as fixed in versions mumble/1.2.3-349-g315b5f5-2.
> > This Bug is not fixed. The stable server version does not work correctly with this client.
> Unknown command or malformed arguments to command.
> 
> > g
> Unknown command or malformed arguments to command.
> 
> > Alexander
> Unknown command or malformed arguments to command.
> 
> >
> End of message, stopping processing here.
> 
> Please contact me if you need assistance.
> -- 
> 675971: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675971
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems




Marked as found in versions mumble/1.2.3-349-g315b5f5-2 and reopened. Request was from Alexander <alexander.nofamilyname@gmx.net> to control@bugs.debian.org. (Fri, 13 Jul 2012 00:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Fri, 13 Jul 2012 04:41:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 13 Jul 2012 04:41:48 GMT) Full text and rfc822 format available.

Message #157 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org, Philipp Kern <pkern@debian.org>
Cc: Nicos Gollan <gtdev@spearhead.de>, micah anderson <micah@riseup.net>, Michael Schmitt <tcwardrobe@gmail.com>, Alexander <alexander.nofamilyname@gmx.net>
Subject: Bug #675971 -- "wontfix"?
Date: Thu, 12 Jul 2012 23:55:54 -0400
Marking this bug as "fixed" is incorrect for this case because the issue 
remains, and will mean that when someone else finds the bug they will reopen 
it -- which is the correct thing for them to do.

If this the remaining parts of this bug are "not considered bugs", or if the 
intention is not to fix these bugs because they were created by a necessary 
design choice (of removing CELT), then I think the right thing to do is to 
give a reasonable explanation that a potential bug reporter can understand, 
and to mark the bug "wontfix".  That way when others run into the problem and 
find the bug report, they'll learn that the package has this issue by design.

If the bug is marked "fixed" rather than "wontfix" then I intend to reopen it, 
by the same reasoning.

Thanks.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us




Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Sun, 15 Jul 2012 16:15:10 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Sun, 15 Jul 2012 16:15:10 GMT) Full text and rfc822 format available.

Message #162 received at 675971-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971-done@bugs.debian.org
Subject: Re: Bug#675971: fixed in -2
Date: Mon, 16 Jul 2012 01:40:42 +0930
The only actual bug reported here was fixed in the -2 upload which closed it.

Anyone who looked here for an explanation, and is currently reading this
message has probably just pointlessly wasted their time scanning past the
last 20+ useless messages that the explanations have now been buried under.

Sorry about that.  I'm not going to get back the time of mine that they
wasted either ...

All I can do is not waste more of it repeating myself and feeding the troll.

  Ron





Bug reopened Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 17:00:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'Cannot communicate with the vast majority of Mumble servers due to lack of required baseline codec' from 'mumble: Version 1.2.3-349 breaks audio and server communication' Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 17:00:04 GMT) Full text and rfc822 format available.

Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Sun, 15 Jul 2012 17:21:05 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Sun, 15 Jul 2012 17:21:06 GMT) Full text and rfc822 format available.

Message #171 received at 675971-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 675971-done@bugs.debian.org
Subject: Re: Processed: reopening 675971 ...
Date: Mon, 16 Jul 2012 02:50:12 +0930
Are we having fun yet?

On Sun, Jul 15, 2012 at 05:00:04PM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > reopen 675971
> Bug #675971 {Done: Ron <ron@debian.org>} [mumble] mumble: Version 1.2.3-349 breaks audio and server communication
> Bug reopened
> Ignoring request to alter fixed versions of bug #675971 to the same values previously set
> > retitle 675971 Cannot communicate with the vast majority of Mumble servers due to lack of required baseline codec
> Bug #675971 [mumble] mumble: Version 1.2.3-349 breaks audio and server communication
> Changed Bug title to 'Cannot communicate with the vast majority of Mumble servers due to lack of required baseline codec' from 'mumble: Version 1.2.3-349 breaks audio and server communication'
> > thanks
> Stopping processing here.
> 
> Please contact me if you need assistance.
> -- 
> 675971: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675971
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sun, 15 Jul 2012 18:51:20 GMT) Full text and rfc822 format available.

Message #174 received at 675971@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: 675971@bugs.debian.org, Nicos Gollan <gtdev@spearhead.de>, Chris Knadle <Chris.Knadle@coredump.us>
Cc: control@bugs.debian.org
Subject: reopening 675971, tagging 675971
Date: Sun, 15 Jul 2012 11:24:30 -0700
reopen 675971
tags 675971 + wontfix
thanks

The bug described in the new title ("Cannot communicate with the vast
majority of Mumble servers due to lack of required baseline codec")
exists and has not been fixed, as documented and tested extensively in
the logs of this bug.  Tagging wontfix to reflect that the maintainer
does not plan to fix it (and, in fairness, probably *can't* fix it
without introducing a different RC bug for the security holes, but we
don't have a "cantfix" tag).

This version has a bug that the version in testing does not, and the BTS
should reflect that to prevent the incompatible new version from
migrating and breaking users of non-unstable.  Independently from that,
an RC bug may need filing on the version in testing, which may have to
be removed for that reason; perhaps someone better informed than I about
the security issues could file that bug with the relevant details
included.

None of the options here prove particularly palatable: incompatibility
with the rest of the Mumble-using world, potential security issues with
the codec needed for such compatibility, or not having Mumble available
at all.  That the situation as a whole sucks does not make any of these
issues less of a bug, though.

Not intending to play BTS tennis here, and not planning to reopen again
if the maintainer decides to close it again.

- Josh Triplett



Bug reopened Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:51:22 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:51:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sun, 15 Jul 2012 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 15 Jul 2012 19:39:05 GMT) Full text and rfc822 format available.

Message #183 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: control@bugs.debian.org, 675971@bugs.debian.org
Cc: Nicos Gollan <gtdev@spearhead.de>, micah anderson <micah@riseup.net>, Michael Schmitt <tcwardrobe@gmail.com>, Alexander <alexander.nofamilyname@gmx.net>, Josh Triplett <josh@joshtriplett.org>
Subject: Bug #675971 Reopening, preparing tech-ctte bug
Date: Sun, 15 Jul 2012 14:49:56 -0400
reopen 675971
found 675971 1.2.3-349-g315b5f5-2
thanks

Ron, as it appears we have an intractible technical dispute, I'm preparing a 
summary of the dispute for referring it to the Debian Technical Committee.  
The committee first has the recommendation that parties in the dispute attempt 
to resolve the problem via constructive discussion to understand the other 
person's point of view.  If this fails, then they recommend that a summary of 
the dispute is created, preferably which is agreed upon by all parties.

Please let me know how you would like to update your point of view.
Likewise for bug reporters: if you would like additions or changes to the list 
I've created below, let me know.

It would be helpful to refer to the following page for instructions concerning 
the Debian Technical Committee before sending updates.

   http://www.debian.org/devel/tech-ctte





Point of view of bug reporters:

- In recent changes in the Mumble package, a CELT audio Codec has been removed 
which is a base assumption used by Mumble servers, causing audio connections 
to fail for many commonly found Mumble server versions outright
- On newer Mumble server versions, the audio connection fails if another 
client connects that does not have another audio Codec available that all 
other connected clients can use.
- The newest -2 upload contains this issue.
- The bug is repeatedly being closed and marked as if it was fixed.



Point of view of the maintainer (as understood by this bug reporter thusfar):

- Someone said the CELT library contains code that could potentially crash
- It was decided to remove the CELT library as to not burden the security team
- Therefore this isn't a bug



Thanks.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Sun, 15 Jul 2012 22:09:09 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Sun, 15 Jul 2012 22:09:09 GMT) Full text and rfc822 format available.

Message #188 received at 675971-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Josh Triplett <josh@joshtriplett.org>, 675971-done@bugs.debian.org
Subject: Re: Bug#675971: reopening 675971, tagging 675971
Date: Mon, 16 Jul 2012 07:36:59 +0930
Hi Josh,

Since you took the time to at least explain yourself this time, and seem
to have an actual rational inkling that this is a horrible no-win corner
that we've been painted into, I did actually just finish writing you a
similarly measured response, figuring we weren't that far from common
ground, and there were a few things you seem to have missed from the long
previous bug log.

But since Chris has now been encouraged (presumably by the small mob
he tried to incite at a debconf talk) to go from "I won't open this again"
to "I'm going to play the cry to mom card" -- I don't see much point in
wasting even more people's time, by giving them even more to read now.

I have other work to do, and there's an insane kid in the room now waving
torpedos around, who isn't going to listen to anything we say anyway.

 Sorry,
 Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 16 Jul 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 16 Jul 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #193 received at 675971@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Ron <ron@debian.org>
Cc: 675971@bugs.debian.org
Subject: Re: Bug#675971: reopening 675971, tagging 675971
Date: Sun, 15 Jul 2012 18:42:03 -0700
On Mon, Jul 16, 2012 at 07:36:59AM +0930, Ron wrote:
> Since you took the time to at least explain yourself this time,

FWIW, I had written an explanation the previous time too (at least in
the form of a control comment), but bts doesn't seem to have sent it;
perhaps I failed to escape the shell comment character.  Sorry for the
unintentionally explanation-free reopen the first time.

> and seem
> to have an actual rational inkling that this is a horrible no-win corner
> that we've been painted into, I did actually just finish writing you a
> similarly measured response, figuring we weren't that far from common
> ground, and there were a few things you seem to have missed from the long
> previous bug log.
> 
> But since Chris has now been encouraged (presumably by the small mob
> he tried to incite at a debconf talk) to go from "I won't open this again"
> to "I'm going to play the cry to mom card" -- I don't see much point in
> wasting even more people's time, by giving them even more to read now.
> 
> I have other work to do, and there's an insane kid in the room now waving
> torpedos around, who isn't going to listen to anything we say anyway.

I'd still appreciate hearing your response, and I think you might find
that Chris similarly would like to find a reasonable solution to this
problem.  Both of us (and others in this bug) just want to have a usable
Mumble without having to install an older version and put it on hold.  I
think we're *all* not too far from common ground here.  Also note that
we don't need to actually call on the TC if we can sort this out
ourselves; thus, I'd suggest that actually talking to each other seems
like the best way to resolve this.

A quick enumeration of possible solutions:

- Leave mumble out of testing and wheezy, keep it in either unstable or
  experimental (as we would for any client-server software with an
  unstable protocol that we can't support for the lifetime of a stable
  release) with compatibility warnings in the description and
  NEWS.Debian.

- Let mumble migrate to testing and release with wheezy, with similar
  compatibility warnings.  Help upstream get a stable Opus-based version
  released ASAP for others to use, and ask the stable release managers
  very nicely about including that version in stable.

In both cases, someone interested in having a CELT-based version
available for compatibility could consider uploading one to a
repository for others to use.  If a DD is interested, they could
potentially upload a mumble-celt to experimental.  Either way, such a
package should have giant warnings about security issues.

The first approach has the advantage of not shipping an incompatible
version of Mumble to stable/testing users, but the disadvantage of
delaying the point at which stable users have a version with Opus
support.  The second approach lets stable users have an Opus-based
version as soon as possible, but meanwhile users of stable and testing
will have a version that won't actually communicate with anyone other
than Debian users.

Assuming that CELT 0.7.1 really does have unfixable security issues, it
doesn't seem like a reasonable alternative to upload a version that
re-enables it.  On the other hand, not knowing the details of those
issues, I don't see an obvious reason why the issues can't just be
fixed as they arise.

Any other alternatives, or are those the choices we're stuck with?

- Josh Triplett



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 18 Jul 2012 07:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 18 Jul 2012 07:36:04 GMT) Full text and rfc822 format available.

Message #198 received at submit@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: submit@bugs.debian.org
Subject: Bug #675971 [mumble] Communication failures due to CELT codec library removal
Date: Wed, 18 Jul 2012 03:09:00 -0400
[Message part 1 (text/plain, inline)]
Package: tech-ctte
Severity: normal


Greetings to the technical committee.

This refers to Bug #675971 (which is severity grave, and currently closed)
against the Mumble VoIP package, which is also affected by Bug #674650
concerning the removal of the CELT library.  This evening we also just
discovered the existence of Bug #674634 which concerns the CELT library
removal as well, and which may have more of the technical story.


Summary of the technical dispute
================================

Point of view of bug reporters (text via collaboration of two reporters):

  Background:
  ----------

- Mumble upstream uses and requires a particular baseline audio codec
  (CELT 0.7.1, a fairly old version), the availability of which is a
  base assumption used by most Mumble servers.

- CELT's upstream has a planned transition to the standardized Opus
  codec, and Mumble plans to follow suit, but that transition won't
  complete until all clients and servers support Opus, and that will take
  a while.  (Also, current upstream support for Opus remains a work in
  progress, and they don't have a released version with non-buggy
  support for Opus yet; the current version in Debian has some
  cherry-picked patches from upstream's VCS, but that doesn't help
  non-Debian users.)

- CELT audio Codec library has been removed from Debian by the maintainer,
  which with Mumble today is causing audio to fail outright for many public
  servers as well as several prior versions of mumble-server from Debian.
  [This has also been a problem for several other audio packages and
   maintainers.]

- On newer Mumble server versions, the audio connection fails if another
  client connects that requires using CELT, because all connected clients
  require using a common Codec.

- The newest -2 upload contains this issue.  [Mentioned because the
  maintainer reported that the -2 upload fixes the bug.]

- There is no warning in the NEWS.Debian file to warn users of the
  package that only the Opus Codec is usable and how that impacts the
  usability of the package

- The bug is repeatedly being closed by the maintainer if it was fixed,
  without discussion.  [Josh Triplett has since tagged the bug "wontfix",
  which is at least an improvement, but this RC-level bug remains closed
  as is being forced by the maintainer, which will presumably allow the -2
  package with this issue to migrate to Wheezy and release with Stable.]

  Desired:
  -------

- From the point of view of the bug reporters, what we want is a
  package that inter-operates with other Mumble clients and servers,
  if possible.  To do this today would require reintroducing the celt
  source package again, which is rumored to have potential security issues.
  [We have not seen any details on this yet.]

  Note: this evening we think we have found a security expert who is
  willing to audit the CELT 0.7.1 codec for issues and possibly provide
  patches, assuming this is reasonably feasible.

- Assuming an inter-operable package is not possible, as a backup what
  we want is for the bug to be handled correctly in some way, and that
  users of the package have an opportunity to be notified of what
  limitations the package has.

  Possible options:
  ----------------

- Leave mumble out of testing and wheezy, keep it in either unstable
  or experimental (as we would for any client-server software with an
  unstable protocol that we can't support for the lifetime of a stable
  release), reintroduce CELT library for use with Mumble with security
  warnings in the description and NEWS.Debian concerning potential issues.

- Let mumble 1.2.3-349-g315b5f5-2 migrate to testing and release with
  wheezy without the CELT library, with compatibility warnings in
  NEWS.Debian. Possibly reintroduce (or at least allow the use of) a CELT
  codec library for Mumble in Unstable or Experimental which could allow
  users to use the CELT codec library with Mumble, with a warning in
  NEWS.Debian for the celt package to warn of potential issues.

- Similar to the item above, but with the CELT library in an external
  repository.

- Some other alternative we haven't thought of.



Point of view of the maintainer (as understood by reporters thus far, as
  no reply was given in several days in query for this summary):

- Someone the maintainer trusts said the CELT library contains code that
  could potentially be a crash vulnerability, among other unfixed issues

- Nobody is committing to maintaining and taking responsibility for celt
  0.7.1, or has sufficient spare time and/or the requisite knowledge to
  fully investigate this further.

- It was decided to remove the CELT library as to not burden the security
  team, and it has been an effort to get the library removed

- The mumble client that we currently have will only inter-operate with
  clients that have Opus support

- Upstream is eventually planning on dropping CELT anyway

- This isn't a bug, so it should be closed, and there is no need to warn
  users of the package

================================



I've subscribed to the tech-ctte mailing list, so I don't need to be CCed.
We're prepared to accept any possible outcome the TC deems appropriate.

Thanks.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
GPG Key: 4096R/0x1E759A726A9FDD74
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 18 Jul 2012 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 18 Jul 2012 17:24:03 GMT) Full text and rfc822 format available.

Message #203 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Subject: Don't put Bug # in subject line
Date: Wed, 18 Jul 2012 13:20:01 -0400
Note to future bug reporters:

Apparently putting the Bug # at the start of the subject line will cause 
submissions to the BTS to go to the bug report with the same # rather than the 
package listed at the top of the body of the email.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Bug reopened Request was from Chris Knadle <Chris.Knadle@coredump.us> to control@bugs.debian.org. (Thu, 19 Jul 2012 02:00:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 675971: 682010 Request was from Chris Knadle <Chris.Knadle@coredump.us> to control@bugs.debian.org. (Thu, 19 Jul 2012 02:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 23 Jul 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 23 Jul 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #212 received at 675971@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Chris Knadle <Chris.Knadle@coredump.us>
Cc: Ron <ron@debian.org>, 682010@bugs.debian.org, 675971@bugs.debian.org, Nicos Gollan <gtdev@spearhead.de>
Subject: Re: Bug#682010: [mumble] Communication failures due to CELT codec library removal
Date: Mon, 23 Jul 2012 10:26:57 -0700
On Mon, 23 Jul 2012, Chris Knadle wrote:
> On Monday, July 23, 2012 10:34:28, Ian Jackson wrote:
> > Of these 2. would seem to be the best option.
> 
> I agree.
> 

[...]

I believe in order to actually evaluate any of these solutions,
someone is going to have to prepare binaries, and do an table showing
the tested (not theoretical) compatibility of with multiple different
clients (and servers?) to their solution's server and client.

I propose that whoever wants to see a particular solution actually sit
down and do the work for their particular solution, with sources,
binaries, interdiffs, and compatibility table conveniently available in
some public location.

FWICT, Ron and Thorvald feel that speex will be their favored solution
and will have a version of it available no sooner than a week from
now, so there's at least a week for other people to do the work. [And
if no one wants to do the work for a solution, then there's no point
in even considering it.]

Feel free to coordinate using this bug or privately, but I don't
believe that further theoretical discussions of client/server
compatibility are useful. [At least, I'm personally not going to vote
to override a maintainer without an actual tested solution that is
technically superior, and I suspect that other CTTE members share that
opinion.]


Don Armstrong

-- 
Frankly, if ignoring inane opinions and noisy people and not flaming
them to crisp is bad behavior, I have not yet achieved a state of
nirvana.
 -- Manoj Srivastava in 87n04pzhmh.fsf@glaurung.internal.golden-gryphon.com

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 23 Jul 2012 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 23 Jul 2012 18:48:03 GMT) Full text and rfc822 format available.

Message #217 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: debian-ctte@lists.debian.org, Don Armstrong <don@debian.org>, 682010@bugs.debian.org
Cc: Ron <ron@debian.org>, 675971@bugs.debian.org, Nicos Gollan <gtdev@spearhead.de>
Subject: Re: Bug#682010: [mumble] Communication failures due to CELT codec library removal
Date: Mon, 23 Jul 2012 14:43:55 -0400
On Monday, July 23, 2012 13:26:57, Don Armstrong wrote:
> On Mon, 23 Jul 2012, Chris Knadle wrote:
> > On Monday, July 23, 2012 10:34:28, Ian Jackson wrote:
> > > Of these 2. would seem to be the best option.
> > 
> > I agree.
> 
> [...]
> 
> I believe in order to actually evaluate any of these solutions,
> someone is going to have to prepare binaries, and do an table showing
> the tested (not theoretical) compatibility of with multiple different
> clients (and servers?) to their solution's server and client.
> 
> I propose that whoever wants to see a particular solution actually sit
> down and do the work for their particular solution, with sources,
> binaries, interdiffs, and compatibility table conveniently available in
> some public location.

That sounds reasonable.  I might need occasional advice but otherwise I think 
I can handle this.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 30 Jul 2012 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 30 Jul 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #222 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: debian-ctte@lists.debian.org, Don Armstrong <don@debian.org>, 682010@bugs.debian.org
Cc: Ron <ron@debian.org>, 675971@bugs.debian.org, Nicos Gollan <gtdev@spearhead.de>
Subject: Re: Bug#682010: [mumble] Communication failures due to CELT codec library removal
Date: Mon, 30 Jul 2012 15:59:30 -0400
[Message part 1 (text/plain, inline)]
On Monday, July 23, 2012 13:26:57, Don Armstrong wrote:
> On Mon, 23 Jul 2012, Chris Knadle wrote:
> > On Monday, July 23, 2012 10:34:28, Ian Jackson wrote:
> > > Of these 2. would seem to be the best option.
> > 
> > I agree.
> 
> [...]
> 
> I believe in order to actually evaluate any of these solutions,
> someone is going to have to prepare binaries, and do an table showing
> the tested (not theoretical) compatibility of with multiple different
> clients (and servers?) to their solution's server and client.
> 
> I propose that whoever wants to see a particular solution actually sit
> down and do the work for their particular solution, with sources,
> binaries, interdiffs, and compatibility table conveniently available in
> some public location.

Attached is a patch for fixing the build on the "348" version of Mumble in 
Wheezy.  Two files, of which only one or the other is required: one is a 
standard diff which can be used to patch the "348" version as-is via "patch -
p1 < <diff file>" while in the source package directory.  The other is an mbox 
file for importing via 'git am <mbox file>' against the latest tagged version 
of "348", v1.2.3-348-g317f5a0-1.

The patch consists of cherry-picked git commits from the "349" version, plus 
one commit after doing a 'dch -i' to add a changelog entry [automatically 
marked as a .1 NMU, which for the moment I haven't changed].  This version 
still requires libcelt.  I'm currently testing this -1.1 on both client and 
server -- all seems well so far.  [Tables of compatability to follow.]  I 
think the "348" version includes the Speex codec, but I haven't been able to 
trigger its use yet experimentally.

Quick summary of changes:
  - Remove broken mumble-server-web package
  - Change maintainer from Debian VoIP team to Ron Lee
  - Remove Patrick Matthäi from Uploaders
  - Hardcode use of and add dependency on g++-4.6
  - Remove boot 1.46 dependency resolution
  - Remove libgl dependency resolution
  - Depend on ice34 and drop resolution via older versions



I'm also still working on how to do the embedded celt version; by default 
embedding CELT will enable both embedded 0.7.1 and 0.11.0 so enabling only 
0.7.1 will require a quilt patch to modify the original source build 
directives slightly.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
GPG Key: 4096R/0x1E759A726A9FDD74
[mumble-348-fixes.mbox (application/mbox, attachment)]
[mumble-348-fixes.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 01 Aug 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 01 Aug 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #227 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: debian-ctte@lists.debian.org, Don Armstrong <don@debian.org>, 682010@bugs.debian.org
Cc: Ron <ron@debian.org>, 675971@bugs.debian.org, Nicos Gollan <gtdev@spearhead.de>
Subject: Re: Bug#682010: [mumble] Communication failures due to CELT codec library removal
Date: Wed, 1 Aug 2012 12:14:06 -0400
[Message part 1 (text/plain, inline)]
On Monday, July 23, 2012 13:26:57, Don Armstrong wrote:
> On Mon, 23 Jul 2012, Chris Knadle wrote:
> > On Monday, July 23, 2012 10:34:28, Ian Jackson wrote:
> > > Of these 2. would seem to be the best option.
> > 
> > I agree.
> 
> [...]
> 
> I believe in order to actually evaluate any of these solutions,
> someone is going to have to prepare binaries, and do an table showing
> the tested (not theoretical) compatibility of with multiple different
> clients (and servers?) to their solution's server and client.
> 
> I propose that whoever wants to see a particular solution actually sit
> down and do the work for their particular solution, with sources,
> binaries, interdiffs, and compatibility table conveniently available in
> some public location.

Attached is a patch for fixing the build for the "348" version of Mumble in 
Wheezy, which includes embedding celt 0.7.1 into the mumble package and 
removing the dependency on the celt library.  There are two versions attached: 
a diff that can be applied directly via 'patch -p1 < <diff>', and an mbox file 
that can be applied to the git repository via 'git am <mbox file>' against tag 
v1.2.3-348-g317f5a0-1.

Quick summary of changes:
  - Remove broken mumble-server-web package
  - Change maintainer from Debian VoIP team to Ron Lee
  - Remove Patrick Matthäi from Uploaders
  - Hardcode use of and add dependency on g++-4.6
  - Remove boost 1.46 dependency resolution
  - Remove libgl dependency resolution
  - Depend on ice34 and drop resolution via older versions
  - Build and embed celt 0.7.1 (and not celt 0.11.0)

One interesting difference when using the embedded version rather than the 
celt library is that Mumble reports using "Celt 0.7.0" in the Server -> 
Information screen, rather than "Celt 0.0.0" that is reported when using the 
external celt library.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
GPG Key: 4096R/0x1E759A726A9FDD74
[mumble-348-fixes-embedded.diff (text/x-patch, attachment)]
[mumble-348-fixes-embedded.mbox (application/mbox, attachment)]
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) wontfix. Request was from Chris Knadle <Chris.Knadle@coredump.us> to control@bugs.debian.org. (Thu, 16 Aug 2012 07:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Thu, 16 Aug 2012 08:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 16 Aug 2012 08:42:11 GMT) Full text and rfc822 format available.

Message #234 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 682010@bugs.debian.org, 675971@bugs.debian.org
Cc: Thorvald Natvig <thorvald@debian.org>
Subject: Tables of Mumble client compatability
Date: Thu, 16 Aug 2012 04:41:26 -0400
[Message part 1 (text/plain, inline)]
At the same time I tested the two proposed patches for the "348" version of 
Mumble in Wheezy, I also took the time to test the top 25 free software 
distributions [as per distrowatch.com] to check for interoperability and what 
support those distributions were including.

These tests used the "348"-1.1 patched mumble-server, and a amd64 Debian Sid 
host running "348"-1.1 patched for using bundled celt 0.7.1.  Distributions 
were loaded into a VirtualBox VM; "Interop" makred as "Y" indicates that audio 
output was heard from the VM through the host while Mumble in the host had the 
mic muted.

One notable oddity: the highest version of the CELT codec is 0.11.1, but 
Mumble reports CELT version 2.0.0 in Fedora 17 and Mageia 2, seemingly due to 
library filename renaming done in these distributions.

                                                Extra
                                          Celt  Celt                Server
Distro version (mumble version)           0.7.1 Vers.+ Opus Interop Loopback 
-----------------------------------------|-----|------|----|-------|--------|
*Mint Debian 201204 (1.2.3-3)            |  Y  |      |    |   Y   |    Y   |
*Linux Mint 13 (1.2.3-2ubuntu4)          |  Y  |      |    |   Y   |    Y   |
*Ubuntu 12.04 (1.2.3-2ubuntu4)           |  Y  |      |    |   Y   |    Y   |
Mageia 2 (1.2.3-2.mga2)               [3]|     | 2.0.0|    |       |   [1]  |
Fedora 17 (1.2.3-7.fc17.1)               |  Y  | 2.0.0|    |   Y   |    Y   |
openSUSE 12.1 (1.2.3-10.3.1)             |  Y  |0.11.0|    |   Y   |    Y   |
*Debian Sid (1.2.3-349-g315b5f5-2)       |     |      |  Y |       |   [4]  |
*Debian Wheezy (1.2.3-348-g317f5a0-1)    |  Y  |      |    |   Y   |    Y   |
*Debian Squeeze (1.2.2-6+squeeze1)       |  Y  |      |    |   Y   |    Y   |
Arch Linux 2012-08-04 (1.2.3-5)          |  Y  |0.11.0|    |   Y   |   [1]  |
*Ultimate 3.4 (1.2.3-2ubuntu4)           |  Y  |      |    |   Y   |   [2]  |
*Lubuntu 12.04 (1.2.3-2ubuntu4)          |  Y  |      |    |   Y   |   [2]  |
*Pear Linux 5 (1.2.3-2ubuntu4)           |  Y  |      |    |   Y   |    Y   |
Sabayon Linux 9 (1.2.3-r2~0)             |  Y  |0.11.0|    |   Y   |   [1]  |
*Zorin OS 6 (1.2.3-2ubuntu4)             |  Y  |      |    |   Y   |    Y   |
Chakra 2012.07 (1.2.3-3)                 |  Y  |0.11.0|    |   Y   |    Y   |
*Bodhi 2.0.1 (1.2.3-2ubuntu4)            |  Y  |      |    |   Y   |   [1]  |
*Snowlinux 2 "Ice" (1.2.2-6+squeeze1)    |  Y  |      |    |   Y   |    Y   |
*Snowlinux 2 "Cream" (1.2.3-2ubuntu4)    |  Y  |      |    |   Y   |    Y   |
Gentoo 12.1 (1.2.3-r2)                   |  Y  |0.11.0|    |  [6]  |   [1]  |
Vector Linux 7.0 (1.2.3-i586-2vl70)   [5]|  Y  |0.11.0|    |   Y   |    Y   |
*CrunchBang 10 (1.2.2-6+squeeze1)        |  Y  |      |    |   Y   |    Y   |
*SolusOS Eveline 1.1 (1.2.3-3solus1)     |  Y  |      |    |   Y   |    Y   |
*Knoppix 7.03 DVD (1.2.3-348-g317f5a0-1) |  Y  |      |    |   Y   |    Y   |
-----------------------------------------|-----|------|----|-------|--------|
*Debian Wheezy "348"-1.1 bundled-celt [7]|  Y  |      |    |   Y   |    Y   |
*Debian Wheezy "348"-1.1 celt-lib     [7]|  Y  |      |    |   Y   |    Y   |
-----------------------------------------|-----|------|----|-------|--------|
CentOS 6.3         (not in distro)
Slacko Puppy 5.3.3 (not in distro)
*Lucid Puppy 5.2.8 (not in distro)
*PCLinuxOS 2012.02 (not in distro)
FreeBSD 9          (not in distro)
Slackware 13       (not in distro)
Fuduntu 2012.3     (not in distro)


*   Distro is Debian-based
+   Extra CELT codec version available as reported by Mumble
[1] Audio output did not work, so could not test server loopback
[2] Audio did function, but could not get audio output working in Mumble
[3] The bundled libcelt 0.7.1 in Mageia 2 for Mumble has a known bug related
    to library filename mangling which is why it is not interoperable.
    The Mageia QA team are working to fix it.
       https://bugs.mageia.org/show_bug.cgi?id=6581
[4] Server loopback for "349"-2 only works if all connected clients support
    the OPUS codec
[5] Mumble is only in the "testing" repository in Vector Linux
[6] It took 3 full days to get a Gentoo base system and KDE4 installed using
    the standard instructions, after which X wouldn't start; Mumble was tested
    via ssh X forwarding without audio
[7] "348"-1.1 = 1.2.3-348-g317f5a0 with proposed patches



  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Thu, 30 Aug 2012 18:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 30 Aug 2012 18:27:02 GMT) Full text and rfc822 format available.

Message #239 received at 675971@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 682010-done@bugs.debian.org
Subject: Re: Bug#682010: Call for votes on CELT in Mumble
Date: Thu, 30 Aug 2012 11:12:24 -0700
With the vote of Andreas, the outcome is no longer in doubt.
Therefore, the Technical Committee resolves:


  Context:

  1. The questions surrounding the codecs in mumble, especially celt,
     have been referred to the Technical Committee.

  2. The mumble maintainers have stated their willingness to follow
     our advice (Constitution 6.1(5)).  This may or may not amount to
     a delegation to us of the decision (6.1(3)) but in any case we
     merely need to state our reasoning and conclusions and are not
     being asked to overrule the maintainer.

  Release Critical status of celt 0.7.1 in mumble:

  3. mumble is a useful and fairly widely-used voice chat program.

  4. Distributions of mumble (from other distros and upstream)
     currently implement the celt 0.7.1 codec as a baseline.  It does
     not appear to the TC that (in wheezy) the provision of any other
     codec obviates the need for mumble to support celt 0.7.1.
     mumble with celt 0.7.1 has been tested and found to interoperate
     properly with nearly all other mumble versions.

  5. Consequently, we consider the lack of celt 0.7.1 support in
     mumble a release-critical bug.

  Security risks from celt 0.7.1:

  6. While the upstream security support situation for celt 0.7.1 is
     not ideal, the TC does not consider that the security risks
     associated with celt 0.7.1 in mumble are intolerable.

  7. The Debian Security Team have stated that they have no objection
     to including celt 0.7.1 in mumble in wheezy.

  8. Consequently, mumble should remain in wheezy with celt 0.7.1
     (the alternative being to remove mumble as unfit for release).

  Packaging approach:

  9. There are no other packages intended for wheezy which ought to
     want this codec.

  10. Providing separate celt library in wheezy is undesirable because
     it might promote the use of a codec which we are planning to
     retire in the medium to long term.

  11. While embedded code copies are in general to be avoided because
     lead to proliferation of multiple versions, that therefore does
     not apply in this case.

  12. The upstream mumble source already contemplates building with
     various embedded versions of celt.

  13. There is no reason to support any other version of celt in
     mumble.

  14. Consequently, the mumble source package should be configured to
     use an embedded copy of celt 0.7.1.  (If necessary the embedded
     copy of celt in the source package should be updated to the
     actual 0.7.1.)

  We therefore recommend that:

  15. The mumble maintainers, with appropriate help from other
     interested parties, should prepare an upload of mumble for wheezy
     with
       - embedded celt 0.7.1 enabled
       - no other version of celt enabled
       - whatever other release-critical bugfixes they consider
          relevant (subject to any appropriate discussion with the
          release team as necessary)
       - closing #675971.

  16. #675971 should remain at an RC severity, be untagged wontfix,
     and maintained open until it is closed as discussed above.

  17. If the release team are content with the other changes
     in the new mumble package, the new version should be unblocked
     to propagate into wheezy.

  18. After that propagation, the separate celt packages should be
     removed from wheezy.  This should be requested by the celt
     maintainer filing a removal bug in the normal way, after mumble
     with embedded celt 0.7.1 has propagated to wheezy.


Don Armstrong

-- 
I learned really early the difference between knowing the name of
something and knowing something
 -- Richard Feynman "What is Science" Phys. Teach. 7(6) 1969

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Thu, 06 Sep 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Knadle <Chris.Knadle@coredump.us>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 06 Sep 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #244 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org
Cc: Ron <ron@debian.org>
Subject: Re: #675971 -- are you willing to help?
Date: Thu, 06 Sep 2012 13:40:41 -0300
Ron --- I know you'd like the celt 0.7.1 library to be removed from Wheezy.  
Are you willing to help put together an upload a new mumble package containing 
embedded celt 0.7.1 (as the tech-ctte has outlined) so that can happen?  What 
version of mumble do you think is appropriate for this purpose?

-- 

  -- Chris

Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Fri, 05 Oct 2012 01:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 05 Oct 2012 01:36:06 GMT) Full text and rfc822 format available.

Message #249 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 675971@bugs.debian.org, control@bugs.debian.org
Cc: debian-ctte@lists.debian.org, debian-release@lists.debian.org
Subject: patches for fixing RC bug, intent to upload NMU
Date: Thu, 4 Oct 2012 21:33:07 -0400
[Message part 1 (text/plain, inline)]
tags 675971 patch
thanks


Greetings.

CCing the tech-ctte and release-team, as the intent is to coordinate with both 
for approval to upload this NMU.


Ron, I tried contacting you about a month ago but I haven't heard back from 
you since the TC decision on Aug 30th.  I tried contacting Thorvald (the only 
other uploader) in early Sept (he is very busy so I knew this was a long shot) 
and he replied that he wanted a few days to try to contact you, but I haven't 
heard back from him since then either.

I contacted Gregor Hermann and with his help we created a minimal diff for a 
new upload targeted for Wheezy, as requested in TC #682010.  I'm posting it 
here to give you a chance to review it if you wish.  Unless you wish to 
discuss it, this will be uploaded soon to a DELAYED/XX queue at which time 
there will be an additional notification posted here.

Three patches attached:
   mumble-celt.diff        -- the fix for #675971
   mumble-349-rules.diff   -- (optional) fix debian/rules to remove the Ice/
                              directory in the 'clean' target to allow
                              repeat building
   mumble-349-defuzz.diff  -- (optional) Removes fuzz from two quilt patches
                              in the current package

Thanks.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
[mumble-celt.diff (text/x-patch, attachment)]
[mumble-349-rules.diff (text/x-patch, attachment)]
[mumble-349-defuzz.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Chris Knadle <Chris.Knadle@coredump.us> to control@bugs.debian.org. (Fri, 05 Oct 2012 01:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sun, 07 Oct 2012 15:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 07 Oct 2012 15:00:12 GMT) Full text and rfc822 format available.

Message #256 received at 675971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris.Knadle@coredump.us, 675971@bugs.debian.org
Cc: debian-ctte@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#675971: patches for fixing RC bug, intent to upload NMU
Date: Sun, 7 Oct 2012 16:57:51 +0200
[Message part 1 (text/plain, inline)]
On Thu, 04 Oct 2012 21:33:07 -0400, Chris Knadle wrote:

> CCing the tech-ctte and release-team, as the intent is to coordinate with both 
> for approval to upload this NMU.
[..]
> I contacted Gregor Hermann and with his help we created a minimal diff for a 
> new upload targeted for Wheezy, as requested in TC #682010.  I'm posting it 
> here to give you a chance to review it if you wish.  Unless you wish to 
> discuss it, this will be uploaded soon to a DELAYED/XX queue at which time 
> there will be an additional notification posted here.
> 
> Three patches attached:
>    mumble-celt.diff        -- the fix for #675971

I'm willing to upload Chris' patch as an NMU in case Ron and Thorvald
don't get around to doing a maintainer upload.

Still, I'd appreciate a quick look by a CTTE member to check if this
implements their decision correctly, and especially a pre-approval of
the RT, since this is targetted at wheezy (please note that the
versions in wheezy and sid are already different, and this patch
applies on top of the version in sid). -- Thanks in advance!


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Carole King: Eventually
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Wed, 17 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 17 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #261 received at 675971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris.Knadle@coredump.us, 675971@bugs.debian.org, debian-ctte@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#675971: patches for fixing RC bug, intent to upload NMU
Date: Wed, 17 Oct 2012 18:42:03 +0200
[Message part 1 (text/plain, inline)]
On Sun, 07 Oct 2012 16:57:51 +0200, gregor herrmann wrote:

> Still, I'd appreciate a quick look by a CTTE member to check if this
> implements their decision correctly, and especially a pre-approval of
> the RT, since this is targetted at wheezy (please note that the
> versions in wheezy and sid are already different, and this patch
> applies on top of the version in sid). -- Thanks in advance!

I'm attaching the diff between the versions in wheezy and the version
in sid + the proposed patch for easier reviewing.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Donovan: Dignity Of Man
[mumble-wheezy-sid.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 675971: 691098 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 21 Oct 2012 14:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 22 Oct 2012 11:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 22 Oct 2012 11:39:06 GMT) Full text and rfc822 format available.

Message #268 received at 675971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 691098@bugs.debian.org, 675971@bugs.debian.org, Chris.Knadle@coredump.us
Subject: Re: Bug#691098: unblock: mumble/1.2.3-349-g315b5f5-2.1 [pre-approval request]
Date: Mon, 22 Oct 2012 13:35:09 +0200
On Mon, 22 Oct 2012 12:30:34 +0200, Julien Cristau wrote:

> > Package: release.debian.org
> > Severity: normal
> > User: release.debian.org@packages.debian.org
> > Usertags: unblock
> > 
> > I'd like to request a pre-approval for a future unblock of a
> > not-yet-uploaded NMU of mumble.
> > 
> IMO the package needs to be in sid before we consider it.

Thanks for your quick reply!

I was under the impression that the release team prefers to assess
the situation before an upload in more complicated situations, but
I'm happy to upload the NMU to a DELAYED queue later today.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   BOFH excuse #344:  Network failure - call NBC 



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 22 Oct 2012 11:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 22 Oct 2012 11:42:06 GMT) Full text and rfc822 format available.

Message #273 received at 675971@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 691098@bugs.debian.org, 675971@bugs.debian.org, Chris.Knadle@coredump.us
Subject: Re: Bug#691098: unblock: mumble/1.2.3-349-g315b5f5-2.1 [pre-approval request]
Date: Mon, 22 Oct 2012 13:39:24 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 22, 2012 at 13:35:09 +0200, gregor herrmann wrote:

> On Mon, 22 Oct 2012 12:30:34 +0200, Julien Cristau wrote:
> 
> > > Package: release.debian.org
> > > Severity: normal
> > > User: release.debian.org@packages.debian.org
> > > Usertags: unblock
> > > 
> > > I'd like to request a pre-approval for a future unblock of a
> > > not-yet-uploaded NMU of mumble.
> > > 
> > IMO the package needs to be in sid before we consider it.
> 
> Thanks for your quick reply!
> 
> I was under the impression that the release team prefers to assess
> the situation before an upload in more complicated situations, but
> I'm happy to upload the NMU to a DELAYED queue later today.
> 
I guess I don't consider this a complicated situation.  Either the new
version is ok, or we release without mumble.  Neither the current
version in sid nor the current version in wheezy are suitable anyway,
AIUI.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 22 Oct 2012 17:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 22 Oct 2012 17:24:06 GMT) Full text and rfc822 format available.

Message #278 received at 675971@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 691098@bugs.debian.org, 675971@bugs.debian.org, Chris.Knadle@coredump.us
Subject: Re: Bug#691098: unblock: mumble/1.2.3-349-g315b5f5-2.1 [pre-approval request]
Date: Mon, 22 Oct 2012 19:22:04 +0200
[Message part 1 (text/plain, inline)]
Control: tag 675971 + pending

On Mon, 22 Oct 2012 13:39:24 +0200, Julien Cristau wrote:

> > > IMO the package needs to be in sid before we consider it.
> > 
> > Thanks for your quick reply!
> > 
> > I was under the impression that the release team prefers to assess
> > the situation before an upload in more complicated situations, but
> > I'm happy to upload the NMU to a DELAYED queue later today.
> > 
> I guess I don't consider this a complicated situation.  Either the new
> version is ok, or we release without mumble.  Neither the current
> version in sid nor the current version in wheezy are suitable anyway,
> AIUI.

Ok, I've uploaded 1.2.3-349-g315b5f5-2.1 now, to DELAYED/2 in order
to give the maintainers or other interested parties another chance to
take a look at the changes.

I'm attaching the debdiff of the upload against the version currently
in sid.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: The Eagles: Take It Easy
[675971.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to 675971-submit@bugs.debian.org. (Mon, 22 Oct 2012 17:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Mon, 22 Oct 2012 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 22 Oct 2012 23:09:05 GMT) Full text and rfc822 format available.

Message #285 received at 675971@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Julien Cristau <jcristau@debian.org>
Cc: gregor herrmann <gregoa@debian.org>, 691098@bugs.debian.org, 675971@bugs.debian.org
Subject: Re: Bug#691098: unblock: mumble/1.2.3-349-g315b5f5-2.1 [pre-approval request]
Date: Mon, 22 Oct 2012 19:05:41 -0400
[Message part 1 (text/plain, inline)]
On Monday, October 22, 2012 07:39:24, Julien Cristau wrote:
> On Mon, Oct 22, 2012 at 13:35:09 +0200, gregor herrmann wrote:
> > On Mon, 22 Oct 2012 12:30:34 +0200, Julien Cristau wrote:
> > > > Package: release.debian.org
> > > > Severity: normal
> > > > User: release.debian.org@packages.debian.org
> > > > Usertags: unblock
> > > > 
> > > > I'd like to request a pre-approval for a future unblock of a
> > > > not-yet-uploaded NMU of mumble.
> > > 
> > > IMO the package needs to be in sid before we consider it.
> > 
> > Thanks for your quick reply!
> > 
> > I was under the impression that the release team prefers to assess
> > the situation before an upload in more complicated situations, but
> > I'm happy to upload the NMU to a DELAYED queue later today.
> 
> I guess I don't consider this a complicated situation.  Either the new
> version is ok, or we release without mumble.  Neither the current
> version in sid nor the current version in wheezy are suitable anyway,
> AIUI.

That's correct.  The "348"-1 currently in Wheezy will not build due to 
library changes in Wheezy, and the "349"-2 in Sid cannot communicate with the 
existing Mumble userbase.

Thanks much.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christopher Knadle <chris.knadle@coredump.us>:
You have taken responsibility. (Wed, 24 Oct 2012 17:36:06 GMT) Full text and rfc822 format available.

Notification sent to Nicos Gollan <gtdev@spearhead.de>:
Bug acknowledged by developer. (Wed, 24 Oct 2012 17:36:06 GMT) Full text and rfc822 format available.

Message #290 received at 675971-close@bugs.debian.org (full text, mbox):

From: Christopher Knadle <chris.knadle@coredump.us>
To: 675971-close@bugs.debian.org
Subject: Bug#675971: fixed in mumble 1.2.3-349-g315b5f5-2.1
Date: Wed, 24 Oct 2012 17:32:42 +0000
Source: mumble
Source-Version: 1.2.3-349-g315b5f5-2.1

We believe that the bug you reported is fixed in the latest version of
mumble, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675971@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christopher Knadle <chris.knadle@coredump.us> (supplier of updated mumble package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 04 Oct 2012 11:45:05 -0400
Source: mumble
Binary: mumble mumble-server mumble-dbg
Architecture: source amd64
Version: 1.2.3-349-g315b5f5-2.1
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Christopher Knadle <chris.knadle@coredump.us>
Description: 
 mumble     - Low latency VoIP client
 mumble-dbg - Low latency VoIP client (debugging symbols)
 mumble-server - Low latency VoIP server
Closes: 675971
Changes: 
 mumble (1.2.3-349-g315b5f5-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "Cannot communicate with the vast majority of Mumble servers due
     to lack of required baseline codec":
     re-enable using the bundled celt library:
        debian/patches/series:
          - add 07-use-embedded-celt-baseline patch
        debian/patches/07-use-embedded-celt-baseline:
          - build Celt 0.7.1 and not 0.11.0
        debian/mumble.install:
          - ship Celt 0.7.1 library from the embedded source
        debian/rules:
          - re-enable Celt using the bundled 0.7.1 version
        debian/patches/20-add-opus-threshold-option:
          - fix src/murmur/Meta.cpp to set default iOpusThreshold=100 to only
            switch from Celt to Opus if 100% of connected clients support Opus
            (instead of 1%)
          - fix murmur.ini example for opusthreshold option to =100
            (instead of =1)
          - add #opusthreshold=100 comments to murmur.ini.system (shipped as
            etc/mumble-server.ini) to match murmur.ini example
     Closes: #675971.
     This implements the TC decision in #682010.
     [Thanks to Gregor Herrmann for his help and guidance.]
Checksums-Sha1: 
 05d9321bf49fd693d50e95d4700f89248b686a20 2532 mumble_1.2.3-349-g315b5f5-2.1.dsc
 207e452302b8ed74c125542a05c07e7e35827848 37050 mumble_1.2.3-349-g315b5f5-2.1.debian.tar.gz
 2926e38d07f4ac562a17a1f46879b0d4e6253ea0 2876802 mumble_1.2.3-349-g315b5f5-2.1_amd64.deb
 b8375f9734d9036db3b91962ba09e836525f66c0 955556 mumble-server_1.2.3-349-g315b5f5-2.1_amd64.deb
 3aa4401ca2a42033640c5d5f9fd34272c0fdfee2 29368588 mumble-dbg_1.2.3-349-g315b5f5-2.1_amd64.deb
Checksums-Sha256: 
 59b23c46d522ff9de74b00faeb23769cfa3b01fbc4dc54c8e27a7ed5372abf96 2532 mumble_1.2.3-349-g315b5f5-2.1.dsc
 ecf04fd694a9ebec78dbcf71cb5b67c2fe5f8686859919fa7335c41d24417206 37050 mumble_1.2.3-349-g315b5f5-2.1.debian.tar.gz
 90266ecdb8332cda763289484ed3d65dd3f36f8fa3f40314a5220a442143db9d 2876802 mumble_1.2.3-349-g315b5f5-2.1_amd64.deb
 fdbab5cf8bc37766074d417877e17c6ed29b505e535ab020bf2f92e8812800e5 955556 mumble-server_1.2.3-349-g315b5f5-2.1_amd64.deb
 09990c91862144a9223fe97b0fd546a2b3d35457a0090b152c9e37fe8b5e2775 29368588 mumble-dbg_1.2.3-349-g315b5f5-2.1_amd64.deb
Files: 
 80842bf9676d88d09ff0464e8110f6c7 2532 sound optional mumble_1.2.3-349-g315b5f5-2.1.dsc
 b14db52ab4bad39c00921eb10a56449b 37050 sound optional mumble_1.2.3-349-g315b5f5-2.1.debian.tar.gz
 bf250d46b7cf928a14aef292f7ff292f 2876802 sound optional mumble_1.2.3-349-g315b5f5-2.1_amd64.deb
 4b73d6daeb61794e74f03a2b4a63e86c 955556 sound optional mumble-server_1.2.3-349-g315b5f5-2.1_amd64.deb
 fa6b3b9f68edef9073b4d5b6e3ba5706 29368588 debug extra mumble-dbg_1.2.3-349-g315b5f5-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQhX3cAAoJELs6aAGGSaoGf0UP/iYQhpF+jXEqos9NmbRYusbd
OjA9m4nULpzwC2+m1Dl8amgfpBESLmGQ1L+q7bXDz/E0UtylSOxKz1a1KNtKx1kt
fBQ/kaSeLiEbAqetf02LhiLjP/8aShK/FOISktRkIrWt3m5tv8Zz6h/Zd4PWtUfq
UDM7fKTwHg4xj1Kb0djTq7yxiUnbID3BKQRAiBXUGfmPNFcX1np1bmP0gnzfDPdV
XdTKg8y7JFVemyEG+4Y2PlIusju4BPGJedVrJKEhwOaGrkup1YadR4GSnxc5EPJO
gGQzQbBvSlmwrNs07pOKoS1yij/3WQm8OMf06t1AKmL499gXa6O0BX6CGH2gwn0E
PJhoBqE8bRAeUZJoe/Kyl8Qg/oYFG8QDgnueGyqZ+fStht6nPwYlzRn1a0b+/7dU
3irzli1rgeVfoQTd7TyEuX4mGNi2MsMOk8nfOOzvPi2vt7wYYYRPkUhMZbrDQ5nh
W5ViEZFMvWThrUo204ZSSaWOZM+kz75uKHDt8cpW0swAP1iSfYwvuaFNY9p+j5+X
uk4bi2lAhbgSlWQa1txkKcXtkEIHJ67deakFGaB16GdX/N5e8v2rombKRf6YahBA
INlvICME/gEcQnslZKWBBm7Iq/2Qzhiih5j/o3pus8KZBy6Qo7x+kLyYpSxRpsBl
Y5V9LwWfNT8sDR/g9McZ
=o3dT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#675971; Package mumble. (Sat, 10 Nov 2012 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Nov 2012 14:39:06 GMT) Full text and rfc822 format available.

Message #295 received at 675971@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: gregor herrmann <gregoa@debian.org>, 691098-done@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, 675971@bugs.debian.org, Chris.Knadle@coredump.us
Subject: Re: Bug#691098: unblock: mumble/1.2.3-349-g315b5f5-2.1 [pre-approval request]
Date: Sat, 10 Nov 2012 14:34:26 +0000
On Mon, 2012-10-22 at 19:22 +0200, gregor herrmann wrote:
> On Mon, 22 Oct 2012 13:39:24 +0200, Julien Cristau wrote:
> > I guess I don't consider this a complicated situation.  Either the new
> > version is ok, or we release without mumble.  Neither the current
> > version in sid nor the current version in wheezy are suitable anyway,
> > AIUI.
> 
> Ok, I've uploaded 1.2.3-349-g315b5f5-2.1 now, to DELAYED/2 in order
> to give the maintainers or other interested parties another chance to
> take a look at the changes.

Unblocked; thanks.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Dec 2012 07:26:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:01:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.